<?php
/*
Simple Page Builder - deBuilder v 3.0
http://themeforest.net/user/mallini
*/

function pb_builder_output( $xml = false, $get_element = false ) {

  $output = $content = $imagesUrl = '';
  $data = $var = array();

  foreach ($xml->item as $element) {

    switch($element['type']) {
      case 'Text':

        $var = pb_getVar($element);

        $var['build_text_padding'] = ($var['build_text_padding']) ? esc_attr($var['build_text_padding']) . 'px 0' : '0 0 30px 0';

        $output .= '<div class="shortcode-gallery" style="background:'. esc_attr($var['build_text_background']) .'; padding:'. esc_attr($var['build_text_padding']) .';"><div class="shortcode-gallery-inner builder_p">';

        $content = ($var['build_text_column'] > 1) ? str_replace('p>', 'span>', $var['build_text']) : explode('</p>', $var['build_text']);

        if ($var['build_text_column'] > 1) {
          $output .= '<div class="double-column" style="font-size:'. esc_attr($var['build_text_font_size']) .'px; line-height:'. esc_attr($var['build_text_line_height']) .'px; color:'. esc_attr($var['build_text_color']) .';">'. $content .'</div>';
        } else {
          foreach ($content as $paragraph) {
            $paragraph = str_replace('<p>', '', $paragraph);
            if ( 'Select' != $var['build_text_font_size'] || 'Select' != $var['build_text_line_height'] || $var['build_text_color'] ) {
              $output .= '<div style="margin: 0 0 40px 0;';
              $output .= ( 'Select' != $var['build_text_font_size'] ) ? ' font-size:'. esc_attr($var['build_text_font_size']) .'px;' : '';
              $output .= ( 'Select' != $var['build_text_line_height'] ) ? 'line-height:'. esc_attr($var['build_text_line_height']) .'px;' : '';
              $output .= ($var['build_text_color'] ) ? ' color:'. esc_attr($var['build_text_color']) .';' : '';
              $output .= '">'. $paragraph .'</div>';
            } else {
              $output .= $paragraph;
            }
          }
        }

        $output .= '</div></div>';

      break;

      case 'Gallery':

        $var = pb_getVar($element);

        $images_array = explode(",", $var['build_gallery_images']);
        $full = (isset($var['build_gallery_fullwidth']) && $var['build_gallery_fullwidth'] == 'Yes') ? '-full' : '' ;
        $var['build_gallery_type'] = ($var['build_gallery_type'] != '— Select —') ? $var['build_gallery_type'] : 'Slider';
        $imagesUrl .= $element['id'];

        $var['build_gallery_padding'] = ($var['build_gallery_padding']) ? esc_attr($var['build_gallery_padding']) . 'px 0' : '0 0 40px 0';

        if ($var['build_gallery_type'] == 'Tiled') {

          $output .= '<div class="shortcode-gallery'. esc_attr($full) .'" style="background:'. /*$var['build_gallery_background'] .*/'; padding:'. esc_attr($var['build_gallery_padding']) .';"><div class="shortcode-gallery-inner"><div class="justified-gallery-container"><div class="justified-gallery">';

          foreach ($images_array as $imageID) {
            if ($imageID != '') {
              $image = wp_get_attachment_image_src($imageID, 'full');
              $image_thumb = wp_get_attachment_image_src($imageID, 'thumbnail');
              $attachment = get_post( $imageID );
              $imagesUrl .= ',' . $image_thumb[0];
              $img_alt = (ot_get_option('fancybox_title') != 'off') ? esc_attr(wp_get_attachment_caption($imageID)) : '';

              $output .= '<a class="slick-slide" href="'. esc_url($image[0]) .'" data-fancybox="group" data-caption="' . esc_attr($attachment->post_excerpt). '" ><img src="'. esc_url($image[0]) .'" alt="' . esc_attr($img_alt) . '" title="' . esc_attr(get_the_title($imageID)) . '" /></a>';
            }
          }

          $output .= '</div></div></div></div>';
          $imagesUrl .= '|';

        } elseif ($var['build_gallery_type'] == 'Slider') {

          $galleryID = rand (1, 99);
          $output .= '<div class="shortcode-gallery'. $full .'" style="background:'. /*$var['build_gallery_background'] .*/'; padding:'. $var['build_gallery_padding'] .';"><div class="shortcode-gallery-inner"><div class="owl-carousel owl-'. $galleryID .' owl-theme">';

          foreach($images_array as $imageID) {
            if ($imageID != '') {
              $image = wp_get_attachment_image_src($imageID, 'full');
              $image_thumb = wp_get_attachment_image_src($imageID, 'thumbnail');
              $attachment = get_post( $imageID );
              $imagesUrl .= ',' . $image_thumb[0];
              if (isset($image[0])) {
                //list($width, $height) = getimagesize($image[0]);
                $width = $image[1];
                $height = $image[2];
              }
              $ratio = ($height) ? $width/$height : '';
              $img_alt = (ot_get_option('fancybox_title') != 'off') ? esc_attr(wp_get_attachment_caption($imageID)) : '';

              $output .= '<a class="slick-slide" href="'. esc_url($image[0]) .'" data-fancybox="group" data-caption="' . esc_attr($attachment->post_excerpt). '" ><img src="'. esc_url($image[0]) .'" data-ratio="'. esc_attr($ratio) .'" alt="' . esc_attr($img_alt) . '" title="' . esc_attr(get_the_title($imageID)) . '" /></a>';
            }
          }

          $output .= '</div></div></div>';
          $imagesUrl .= '|';

        } elseif ($var['build_gallery_type'] == 'Grid 3' || $var['build_gallery_type'] == 'Grid 4') {

          $galleryID = rand (1, 9999);
          $output .= '<div class="shortcode-gallery'. esc_attr($full) .'"><div class="shortcode-gallery-inner"><div id="portfolio-gallery-wrapper'. esc_attr($galleryID) .'" style="padding:'. esc_attr($var['build_gallery_padding']) .'px 0;">';

          foreach ($images_array as $imageID) {
            if ($imageID != '') {
              $image = wp_get_attachment_image_src($imageID, 'full');
              $image_thumb = wp_get_attachment_image_src($imageID, 'thumbnail');
              $attachment = get_post( $imageID );
              $imagesUrl .= ',' . $image_thumb[0];
              $grid_size = ($var['build_gallery_type'] == 'Grid 3') ? 'third-masonry' : 'four-masonry';
              if (isset($image[0])) {
                //list($width, $height) = getimagesize($image[0]);
                $width = $image[1];
                $height = $image[2];
              }
              $ratio = ($height) ? $width/$height : '';
              $img_alt = (ot_get_option('fancybox_title') != 'off') ? esc_attr(wp_get_attachment_caption($imageID)) : '';

      				$output .= '<div class="' . esc_attr($grid_size) . ' grid-item portfolio-gallery-item' . esc_attr($galleryID) . ' data-ratio="'. esc_attr($ratio) .'">
      					<a href="'. esc_url($image[0]) .'" data-fancybox="group" data-caption="' . esc_attr($attachment->post_excerpt). '" title="' . esc_attr(get_the_title($imageID)) . '" >
                  <div class="grid-thumb" style="background-image:url(\''. esc_url($image[0]) .'\');"></div>
      					</a></div>';
            }
      		}

          $output .= '</div></div></div>';
          $imagesUrl .= '|';

      		$output .= "<script type=\"text/javascript\">
      			( function( $ ) {
      				$(document).ready(function() {
                getMasonryHeight". esc_attr($galleryID) ."();
                getMasonryGallery". esc_attr($galleryID) ."();
      				});

      				$(window).resize(function(){
                //getMasonryGallery". esc_attr($galleryID) ."();
      					getMasonryHeight". esc_attr($galleryID) ."();
      				});

      				function getMasonryHeight". esc_attr($galleryID) ."() {
      					$('.portfolio-gallery-item". esc_attr($galleryID) ."').each( function() {
                  var div_width = $('#portfolio-gallery-wrapper". esc_attr($galleryID) ."').width();
      						$( this ).css( { 'height': Math.floor( div_width/". esc_attr($divider = ($var['build_gallery_type'] == 'Grid 3') ? '3' : '4') ." ) } );
      					});
      				}

              function getMasonryGallery". esc_attr($galleryID) ."() {
                $('#portfolio-gallery-wrapper". esc_attr($galleryID) ."').imagesLoaded().always(function() {
                  $('#portfolio-gallery-wrapper". esc_attr($galleryID) ."').masonry( {
                    itemSelector: '.portfolio-gallery-item". esc_attr($galleryID) ."'
                  });
                });
              }

      			} )( jQuery );
      		</script>
          <style>
            #portfolio-gallery-wrapper". esc_attr($galleryID) ." {
              margin-bottom: 45px;
            }
          </style>";

        } else {

          $galleryID = rand (1, 999);
          $output .= '<div class="shortcode-gallery'. esc_attr($full) .'"><div class="shortcode-gallery-inner"><div id="portfolio-gallery-wrapper'. esc_attr($galleryID) .'" style="padding:'. esc_attr($var['build_gallery_padding']) .'px 0;">';

          foreach ($images_array as $imageID) {
            if ($imageID != '') {
              $image = wp_get_attachment_image_src($imageID, 'full');
              $image_thumb = wp_get_attachment_image_src($imageID, 'thumbnail');
              $attachment = get_post( $imageID );
              $imagesUrl .= ',' . $image_thumb[0];
              if (isset($image[0])) {
                //list($width, $height) = getimagesize($image[0]);
                $width = $image[1];
                $height = $image[2];
              }
              $ratio = ($height) ? $width/$height : '';
              $img_alt = (ot_get_option('fancybox_title') != 'off') ? esc_attr(wp_get_attachment_caption($imageID)) : '';

      				$output .= '
              <div class="third-masonry portfolio-gallery-item'. esc_attr($galleryID) .' data-ratio="'. esc_attr($ratio) .'">
      					<a href="'. esc_url($image[0]) .'" data-fancybox="group" data-caption="'. esc_attr($attachment->post_excerpt).'" >
                <div class="picture">
    							<div class="thumb" style="background-image:url('. esc_url($image[0]) .');" data-ratio="'. esc_html($ratio) .'" style="background-image:url('.  esc_url($image[0]) .');"></div>
    						</div>

      					</a></div>';
            }
      		}

      		$output .= '</div></div></div>';
          $imagesUrl .= '|';

      		$output .= "<script type=\"text/javascript\">
      			( function( $ ) {
      				$(document).ready(function() {
                getMasonryHeight". esc_attr($galleryID) ."();
                getMasonryGallery". esc_attr($galleryID) ."();
      				});

      				$(window).resize(function(){
                //getMasonryGallery". esc_attr($galleryID) ."();
      					getMasonryHeight". esc_attr($galleryID) ."();
      				});

      				function getMasonryHeight". esc_attr($galleryID) ."() {
      					$('.portfolio-gallery-item". esc_attr($galleryID) ."').each( function() {
      						var ratio = $( this ).attr( 'data-ratio' );
      						var img_width = $( this ).width();

      						if ( ratio > 1 ) {
      							var div_height = img_width / ratio;
      						} else {
      							var div_height = img_width / ratio;
      						}

      						$( this ).css( { 'height': Math.floor( div_height ) } );
      					});
      				}

              function getMasonryGallery". esc_attr($galleryID) ."() {
                $('#portfolio-gallery-wrapper". esc_attr($galleryID) ."').imagesLoaded({ background: '.thumb' }).always(function() {
                  $('#portfolio-gallery-wrapper". esc_attr($galleryID) ."').masonry( {
                    itemSelector: '.portfolio-gallery-item". esc_attr($galleryID) ."'
                  });
                });
              }

      			} )( jQuery );
      		</script>
          <style>
            #portfolio-gallery-wrapper". esc_attr($galleryID) ." {
              margin-bottom: 45px;
            }

            .third-masonry {
              width: calc(33.3% - ". esc_attr(intval($var['build_gallery_padding'])) ."px);
              padding:0;
              margin: 0 ". esc_attr(intval($var['build_gallery_padding'])/2) ."px ". esc_attr(intval($var['build_gallery_padding'])) ."px;
            }

            @media only screen and (max-width: 959px) {
            .third-masonry {
              width: 100%;
              margin: 0 0 ". esc_attr($var['build_gallery_padding']) ."px;
            }
          }
          </style>";

        }

      break;

      case 'Video':

        $var = pb_getVar($element);

        $full = (isset($var['build_video_fullwidth']) && $var['build_video_fullwidth'] == 'Yes') ? '-full' : '' ;
        $var['build_video_padding'] = ($var['build_video_padding']) ? esc_attr($var['build_video_padding']) . 'px 0' : '0 0 40px 0';

        $output .= '<div class="content-self-container'. esc_attr($full) .'" style="background:'. /*$var['build_video_background'] .*/'; padding:'. esc_attr($var['build_video_padding']) .';"><div class="self-container-inner">';

        if ($var['build_video_external']) {

          global $wp_embed;
          $output .= '<div class="post_thumb hentry"><div class="embed video-cont">'. $wp_embed->run_shortcode('[embed width="600" height="360"]' . esc_url($var['build_video_external']) . '[/embed]') .'</div></div>';

        } else {

          $uploads = wp_upload_dir();
          $uploads_dir =  $uploads['basedir'];
          $video_upload = $var['build_video_selfhosted'];
          $uploads_dir = $uploads_dir . str_replace("uploads", "", strstr($video_upload,"uploads"));
          $videodata = wp_read_video_metadata($uploads_dir);
          $video_ratio = isset($videodata['height']) ? $videodata['width']/$videodata['height'] : '';
          $videodata_width = isset($videodata['width']) ?: '';
          $videodata_height = isset($videodata['height']) ?: '';

          $output .= '<video class="content-video" data-video-ratio="' . esc_attr($video_ratio) .'" data-width="'. esc_attr($videodata_width).'" data-height="'. esc_attr($videodata_height) .'" preload="auto" loop autoplay><source type="video/mp4" src="'. esc_url($video_upload) .'"></video>';

        }

        $output .= '</div></div>';

      break;

    }

  }

  if ($get_element == 'Gallery') { return $imagesUrl; } else { return $output; }
}
