<?php

add_action('wp_head', 'coffeebean_stylesheet_content');

function coffeebean_get_opt($opt) {
	$att = (redux_opt($opt)) ? redux_opt($opt) : ''; return $att;
}

function coffeebean_stylesheet_content() {

	$links_color = (isset($_GET["color"])) ? '#'. esc_attr($_GET["color"]) : coffeebean_get_opt('links_color');
	$mainbg_color = (isset($_GET["background"])) ? '#'. esc_attr($_GET["background"]) : coffeebean_get_opt('mainbg_color'); ?>

	<style type="text/css">

		<?php if ($links_color) { ?>

			.comments a, .project-navigation i.inactive,
			.comments-container a, a, li.current-menu-item a,
			.comment-author a, .load-more a, #next-posts a,
			a.post-entry, h1.logo a, .widget-themeworm_social a, .column .footer-widget .widget-themeworm_social a,
			.columns a, .column a, .cs-select span,
			.widget ul li a:hover,
			.testimonials-author, .column.blog-item a, .columns.blog-item a,
			#contact-details a:hover, .subline a,
			.contact_links a:hover, .columns .post-footer a,
			.feature-box.color i,
			.widget #twitter-blog li a,
			li.twitter_text a.username,
			.latest-post-blog p a:hover,
			.read-more a, #navigation ul li a:hover,
			.blog-item .post-date .date-number a:hover,
			.blog-item .post-date .post-category a:hover,
			#cancel-comment-reply-link:hover,
			#cancel-comment-reply-link:hover::before,
			.comment-respond a:hover, a.comment-reply-link:hover, #next-projects a,
			.project-navigation a.back-to-blog:hover::before, .project-navigation a.back-to-blog::before,
			.project-navigation a.back-to-blog::before, .project-navigation a.back-to-blog:hover::before,
			.project-navigation a.next span, .project-navigation a.prev span
			{ color: <?php echo esc_html($links_color); ?>; }

			.widget-themeworm_social a:hover,
			.columns .post-footer .post-share a:hover {
				color:#fff;
			}

			.logo-link:hover path, .logo-link path { fill: <?php echo esc_html($links_color); ?>; }

			.post-date, .post-stroke:hover, .cs-skin-underline > span, div.cs-select,
			.project-navigation a.back-to-portfolio, .project-navigation a.back-to-portfolio:after,
			.header-contacts input[type="text"]:focus, .header-contacts input[type="password"]:focus,
			.header-contacts input[type="email"]:focus, .header-contacts textarea:focus,
			.wpcf7 input[type="text"]:focus, .wpcf7 input[type="password"]:focus,
			.wpcf7 input[type="email"]:focus, .wpcf7 textarea:focus, .input__field:focus, .input--filled .input__field, .blog-item:after, .latest-post-blog:after, .latest-post-portfolio:after,
			.blog-item:before, .latest-post-blog:before, .latest-post-portfolio:before,
			#next-projects a:hover, .project-navigation a:hover, .portfolio-item .thumb:before,
			.portfolio-item .thumb:after, div.wpcf7-validation-errors, .load-more a:hover, #next-posts a:hover
			{ border-color: <?php echo esc_html($links_color); ?> !important;}

			.readmore:hover, input[type="submit"], .widget-themeworm_social a:hover, .column .footer-widget .widget-themeworm_social a:hover, .post-share a:hover, .widget .author-social a:hover,
			#footer-wrapper, .to-top, .no-touch .to-top:hover, .widget-themeworm_social a:hover,
			.project-navigation a.back-to-portfolio:after, .widget li a.latest-title:hover,
      .wpcf7 input[type="text"].wpcf7-not-valid, .wpcf7 input[type="email"].wpcf7-not-valid,
			.top-navigation ul .menu-item-has-children > a:before, .blog-item .post-content:before,
			.project-navigation a.next:before, .project-navigation a.next:after, .project-navigation a.prev:before, .project-navigation a.prev:after, .page-title h1, #page-title h1,
			.item-description .loader:before, .wpcf7 input[type="text"].wpcf7-not-valid, .wpcf7 input[type="email"].wpcf7-not-valid, #infscr-loading, #next-projects a:hover, .social_menu_widget a:hover,
			.project-navigation a.next:before, .project-navigation a.next:after, .project-navigation a.prev:before, .project-navigation a.prev:after
			{	background-color: <?php echo esc_html($links_color); ?>; }

			.footer-bg { background: linear-gradient(to top, rgba(<?php echo coffeebean_hex2rgba($links_color); ?>,0.65) 0%,rgba(<?php echo coffeebean_hex2rgba($links_color); ?>,1) 100%); }

		<?php } ?>

		#navigation ul li ul {
			<?php if ( redux_opt('submenu_width') ) { echo 'width:'. esc_html(redux_opt('submenu_width')).'px;'; } ?>
		}

		<?php if (redux_opt('menu_font','font-family') ) { ?>
			.top-navigation li a, .top-navigation li a:hover, #navigation a {
				font-family: <?php echo redux_opt('menu_font','font-family'); ?>;
				font-weight: <?php echo esc_attr(redux_opt('menu_font','font-weight')); ?>;
				font-style: <?php echo esc_attr(redux_opt('menu_font','font-style')); ?>;
				font-size: <?php echo esc_attr(redux_opt('menu_font','font-size')); ?>;
				line-height: <?php echo esc_attr(redux_opt('menu_font','line-height')); ?>;
				color: <?php echo esc_attr(redux_opt('menu_font','color')); ?>;
			}
		<?php } ?>

		<?php if (redux_opt('body_font','font-family') ) { ?>
			.date, .post-meta, .readmore, .widget, .comment-text, .search-results, .post-content p, .container p, .status-publish li, .builder_p li, .builder_p, .heading, .blog-item blockquote, .blog-item .post-link-text, .container .portfolio-text .portfolio-excerpt p, .blog-item .post-description p, #filter, .post-footer {
				font-family: <?php echo redux_opt('body_font','font-family'); ?>;
				font-weight: <?php echo esc_attr(redux_opt('body_font','font-weight')); ?>;
				font-style: <?php echo esc_attr(redux_opt('body_font','font-style')); ?>;
				font-size: <?php echo esc_attr(redux_opt('body_font','font-size')); ?>;
				line-height: <?php echo esc_attr(redux_opt('body_font','line-height')); ?>;
				color: <?php echo esc_attr(redux_opt('body_font','color')); ?>;
			}

			.page-title div.subline, #page-title div.subline {
				font-family: <?php echo redux_opt('body_font','font-family'); ?>;
			}
		<?php } ?>

		<?php if (redux_opt('logo_font','font-family') ) { ?>
			h1.logo, #logo h1 {
				font-family: <?php echo redux_opt('logo_font','font-family'); ?>;
				font-weight: <?php echo esc_attr(redux_opt('logo_font','font-weight')); ?>;
				font-style: <?php echo esc_attr(redux_opt('logo_font','font-style')); ?>;
				font-size: <?php echo esc_attr(redux_opt('logo_font','font-size')); ?>;
				line-height: <?php echo esc_attr(redux_opt('logo_font','line-height')); ?>;
				color: <?php echo esc_attr(redux_opt('logo_font','color')); ?>;
			}
		<?php } ?>

		<?php if (redux_opt('h1_font','font-family') ) { ?>
			h1:not(.logo), .page-template #page-title h1, .page-template-default #page-title h1, .archive #page-title h1, .blog #page-title h1, .error404 #page-title h1, .search #page-title h1 {
				font-family: <?php echo redux_opt('h1_font','font-family'); ?>;
				font-weight: <?php echo esc_attr(redux_opt('h1_font','font-weight')); ?>;
				font-style: <?php echo esc_attr(redux_opt('h1_font','font-style')); ?>;
				font-size: <?php echo esc_attr(redux_opt('h1_font','font-size')); ?>;
				line-height: <?php echo esc_attr(redux_opt('h1_font','line-height')); ?>;
				color: <?php echo esc_attr(redux_opt('h1_font','color')); ?>;
			}
		<?php } ?>

		<?php if (redux_opt('h2_font','font-family') ) { ?>
			h2 {
				font-family: <?php echo redux_opt('h2_font','font-family'); ?>;
				font-weight: <?php echo esc_attr(redux_opt('h2_font','font-weight')); ?>;
				font-style: <?php echo esc_attr(redux_opt('h2_font','font-style')); ?>;
				font-size: <?php echo esc_attr(redux_opt('h2_font','font-size')); ?>;
				line-height: <?php echo esc_attr(redux_opt('h2_font','line-height')); ?>;
				color: <?php echo esc_attr(redux_opt('h2_font','color')); ?>;
			}
		<?php } ?>

		<?php if (redux_opt('h3_font','font-family') ) { ?>
			h3 {
				font-family: <?php echo redux_opt('h3_font','font-family'); ?>;
				font-weight: <?php echo esc_attr(redux_opt('h3_font','font-weight')); ?>;
				font-style: <?php echo esc_attr(redux_opt('h3_font','font-style')); ?>;
				font-size: <?php echo esc_attr(redux_opt('h3_font','font-size')); ?>;
				line-height: <?php echo esc_attr(redux_opt('h3_font','line-height')); ?>;
				color: <?php echo esc_attr(redux_opt('h3_font','color')); ?>;
			}
		<?php } ?>

		<?php if (redux_opt('h4_font','font-family') ) { ?>
			h4 {
				font-family: <?php echo redux_opt('h4_font','font-family'); ?>;
				font-weight: <?php echo esc_attr(redux_opt('h4_font','font-weight')); ?>;
				font-style: <?php echo esc_attr(redux_opt('h4_font','font-style')); ?>;
				font-size: <?php echo esc_attr(redux_opt('h4_font','font-size')); ?>;
				line-height: <?php echo esc_attr(redux_opt('h4_font','line-height')); ?>;
				color: <?php echo esc_attr(redux_opt('h4_font','color')); ?>;
			}
		<?php } ?>

		<?php if (redux_opt('h5_font','font-family') ) { ?>
			h5 {
				font-family: <?php echo redux_opt('h5_font','font-family'); ?>;
				font-weight: <?php echo esc_attr(redux_opt('h5_font','font-weight')); ?>;
				font-style: <?php echo esc_attr(redux_opt('h5_font','font-style')); ?>;
				font-size: <?php echo esc_attr(redux_opt('h5_font','font-size')); ?>;
				line-height: <?php echo esc_attr(redux_opt('h5_font','line-height')); ?>;
				color: <?php echo esc_attr(redux_opt('h5_font','color')); ?>;
			}
		<?php } ?>

		<?php if (redux_opt('h6_font','font-family') ) { ?>
			h6 {
				font-family: <?php echo redux_opt('h6_font','font-family'); ?>;
				font-weight: <?php echo esc_attr(redux_opt('h6_font','font-weight')); ?>;
				font-style: <?php echo esc_attr(redux_opt('h6_font','font-style')); ?>;
				font-size: <?php echo esc_attr(redux_opt('h6_font','font-size')); ?>;
				line-height: <?php echo esc_attr(redux_opt('h6_font','line-height')); ?>;
				color: <?php echo esc_attr(redux_opt('h6_font','color')); ?>;
			}
		<?php } ?>

    <?php if ( false !== redux_opt('logo_width','width') ) { ?>
      #logo img {
      	width: <?php echo esc_html(redux_opt('logo_width','width')); ?>;
      }
		<?php } ?>

		<?php if ( false !== redux_opt('logo_width','height') ) { ?>
      #logo img {
				height: <?php echo esc_html(redux_opt('logo_width','height')); ?>;
      }
		<?php } ?>

		<?php if ( false !== redux_opt('logo_width','height') && redux_opt('logo_width','height') > 105 ) { ?>
			#site-navigation, .logo-container, .top-navigation {
				height: <?php echo esc_html(redux_opt('logo_width','height')); ?>;
			}

			.nav-menu {
				top: calc(<?php echo esc_attr(redux_opt('logo_width','height')); ?>/2 - 10px);
			}
    <?php } ?>

	  <?php if (get_post_meta(get_the_ID(), 'coffeebean_title_pfcolor', true) || redux_opt('title_color')) {
	  	$title_color = (get_post_meta(get_the_ID(), 'coffeebean_title_pfcolor', true)) ?: redux_opt('title_color');
			$title_color = (!is_archive() && !is_search() && is_singular()) ? $title_color : ''; ?>

			<?php if ( redux_opt('title_color')) { ?>

	  		.intro-effect-fadeout.modify .portfolio-header h1, .page-template-template-portfolio4col-header-php .intro-effect-fadeout .portfolio-header h1, .page-template-template-portfolio3col-header-php .intro-effect-fadeout .portfolio-header h1, .page-template-template-portfolio3-masonry-header-php .intro-effect-fadeout .portfolio-header h1, .page-template-template-portfolio4-masonry-header-php .intro-effect-fadeout .portfolio-header h1, .intro-effect-fadeout.modify .portfolio-header h1, .intro-effect-fadeout .portfolio-header h1, .page-template #page-title h1, .page-template-default #page-title h1, .archive #page-title h1, .blog #page-title h1, .error404 #page-title h1, .search #page-title h1,
	  		.intro-effect-side.modify .portfolio-header h1, .intro-effect-side .portfolio-header h1, .portfolio-header h1,
	  		.under .portfolio-title h1, .intro-effect-fadeout .under .portfolio-title h1, .recent-title h3, /*.cs-select span,*/ .page-template-default #page-title h1, .blog-sidebar .widget-title, h1, h2, h3, h4, h5, h6,
	  		#comments-title, #comments-title em, .comment-reply-title, /*.load-more a, #next-posts a,*/ .post-title h2 {
	  			color: <?php echo esc_html($title_color); ?>;
	  			background-color: transparent;
	  		}

	  		#footer {
	  			background-color: rgba(0,0,0,0.1);
	  		}

	  		/*.project-navigation a:hover,*/ .portfolio-item .thumb:after, .portfolio-item .thumb:before, blockquote, .load-more a:hover, #next-posts a:hover {
	  			border-color: <?php echo esc_html($title_color); ?>;
	  		}

	  		/*.project-navigation a.next:before, .project-navigation a.next:after, .project-navigation a.prev:before, .project-navigation a.prev:after, .top-navigation ul .menu-item-has-children > a:before {
	  			background-color: <?php echo esc_html($title_color); ?>;
	  		}*/

			<?php } else { ?>

				.intro-effect-fadeout.modify .portfolio-header h1, .page-template-template-portfolio4col-header-php .intro-effect-fadeout .portfolio-header h1, .page-template-template-portfolio3col-header-php .intro-effect-fadeout .portfolio-header h1, .page-template-template-portfolio3-masonry-header-php .intro-effect-fadeout .portfolio-header h1, .page-template-template-portfolio4-masonry-header-php .intro-effect-fadeout .portfolio-header h1, .intro-effect-fadeout.modify .portfolio-header h1, .intro-effect-fadeout .portfolio-header h1,
	  		.intro-effect-side.modify .portfolio-header h1, .intro-effect-side .portfolio-header h1, .portfolio-header h1,
	  		.under .portfolio-title h1, .intro-effect-fadeout .under .portfolio-title h1, .recent-title h3, /*.cs-select span,*/ .page-template-default #page-title h1, .blog-sidebar .widget-title, /*#footer,*/ h1, h2, h3, h4, h5, /*h6,*/
	  		#comments-title, #comments-title em, .comment-reply-title/*, .load-more a, #next-posts a*/ {
	  			color: <?php echo esc_html($title_color); ?>;
	  			background-color: transparent;
	  		}

	  		#footer {
	  			background-color: rgba(0,0,0,0.1);
	  		}

	  		/*div.cs-select, .project-navigation a:hover, */.portfolio-item .thumb:after, .portfolio-item .thumb:before, blockquote/*, .load-more a:hover, #next-posts a:hover*/ {
	  			border-color: <?php echo esc_html($title_color); ?>;
	  		}

			<?php } ?>
	  <?php } ?>

	  <?php if (get_post_meta(get_the_ID(), 'coffeebean_font_pfcolor', true) || redux_opt('page_font_color')) {
	  	$font_color = (get_post_meta(get_the_ID(), 'coffeebean_font_pfcolor', true)) ?: redux_opt('page_font_color');
	    $font_color = esc_attr($font_color);
			$font_color = (!is_archive() && !is_search() && is_singular()) ? $font_color : '';
	    $font_color_rgba = coffeebean_hex2rgba($font_color); ?>

  		.container .portfolio-text .portfolio-excerpt p, .intro-effect-fadeout .portfolio-header p,
  		.intro-effect-side .portfolio-header p, .container .portfolio-text p, .portfolio-text, p.subline, .no-effects .page-title p, .page-title div.subline, .intro-effect-fadeout .portfolio-header div.subline, .no-effects .under .page-title div.subline, .subline, .columns a, .column a, a, .logged-in-as a, .comment-respond a, label, .comment-notes, .container p, .container ul, .container ol, .contacts_text, .contacts_address, .contacts_email, .contacts_phone, .builder_p, .date, .post-meta, .readmore, .widget, .comment-text, .search-results, .post-content p, .container p, .status-publish li, .builder_p li, .builder_p, .heading, .blog-item blockquote, .blog-item .post-link-text, .container .portfolio-text .portfolio-excerpt p {
  			color: <?php echo esc_html($font_color); ?>;
  		}

  		/*.column.blog-item a, .columns.blog-item a {
  			color: #947b61;
  		}*/

  		.container .portfolio-text .portfolio-excerpt p {
  			background-color: rgba(<?php echo esc_html($font_color_rgba); ?>, 0.1);
  		}
	  <?php } ?>

	  <?php if (get_post_meta(get_the_ID(), 'coffeebean_background_pfcolor', true) || redux_opt('page_background_color')) {
	  	$background_color = (get_post_meta(get_the_ID(), 'coffeebean_background_pfcolor', true)) ?: redux_opt('page_background_color');
	    $background_color = esc_attr($background_color);
			$background_color = (!is_archive() && !is_search() && is_singular()) ? $background_color : '';
	    $background_color_rgba = coffeebean_hex2rgba($background_color); ?>

  		body, .intro-effect-side .portfolio-header-image::before, #ajax-loader {
  			background-color: <?php echo esc_html($background_color); ?>;
  		}

  		.intro-effect-side .portfolio-header-image::after {
  			background-color: rgba(<?php echo esc_html($background_color_rgba); ?>, 0.6);
  			border-color: <?php echo esc_html($background_color); ?>;
  		}

  		.intro-effect-fadeout .portfolio-header-image::after {
  			background: -webkit-linear-gradient(top, rgba(<?php echo esc_html($background_color_rgba); ?>,0) 0%, rgba(<?php echo esc_html($background_color_rgba); ?>,1) 100%);
  			background: linear-gradient(to bottom, rgba(<?php echo esc_html($background_color_rgba); ?>,0) 0%, rgba(<?php echo esc_html($background_color_rgba); ?>,1) 100%);
  		}
		<?php } ?>

	  <?php if (get_post_meta(get_the_ID(), 'coffeebean_menufont_pfcolor', true) || redux_opt('menu_color')) {
	  	$menu_color = (get_post_meta(get_the_ID(), 'coffeebean_menufont_pfcolor', true)) ?: redux_opt('menu_color');
	    $menu_color = (!is_archive() && !is_search() && is_singular()) ? $menu_color : ''; ?>

  		.top-navigation li a, .top-navigation li a:hover, #navigation a {
  			color: <?php echo esc_html($menu_color); ?>;
  		}

  		#site-navigation:hover .top-navigation ul ul li a {
  			color: rgba(255, 255, 255, 1);
  		}

  		#site-navigation:hover .top-navigation ul ul li a:hover {
  			color: rgba(255, 255, 255, 0.6);
  		}

			<?php if (get_post_meta(get_the_ID(), 'coffeebean_menufont_pfcolor', true)) { ?>
				h1.logo, #logo h1 {
					color: <?php echo esc_html(get_post_meta(get_the_ID(), 'coffeebean_menufont_pfcolor', true)); ?>;
				}
			<?php } ?>

	  <?php } ?>

	  <?php if (get_post_meta(get_the_ID(), 'coffeebean_header_color', true) || redux_opt('title_background_color')) {
	  	$header_color = (get_post_meta(get_the_ID(), 'coffeebean_header_color', true)) ?: redux_opt('title_background_color');
	    $header_color = (!is_archive() && !is_search() && is_singular()) ? $header_color : ''; ?>

  		.portfolio-header, .intro-effect-fadeout.modify .portfolio-header h1, .intro-effect-fadeout .portfolio-header h1, .intro-effect-side.modify .portfolio-header h1, .intro-effect-side .portfolio-header h1, .portfolio-header h1, .under .portfolio-title h1, .intro-effect-fadeout .under .portfolio-title h1,  .page-template-default #page-title h1 {
  			background-color: <?php echo esc_html($header_color); ?>;
  		}
		<?php } ?>

	  <?php if (get_post_meta(get_the_ID(), 'coffeebean_menufont_pfbackground', true) || redux_opt('menu_background_color')) {
	  	$menufont_pfbackground = (get_post_meta(get_the_ID(), 'coffeebean_menufont_pfbackground', true)) ?: redux_opt('menu_background_color');
	    $menufont_pfbackground = (!is_archive() && !is_search() && is_singular()) ? $menufont_pfbackground : ''; ?>

  		#site-navigation {
  			background-color: <?php echo esc_html($menufont_pfbackground); ?>;
  		}
		<?php } ?>

	<?php echo $custom_css = (redux_opt('custom_css')) ? redux_opt('custom_css') : '' ; ?>

	</style>

<?php } ?>
