<?php

add_action( 'admin_init', 'coffeebean_meta_boxes' );

function coffeebean_meta_boxes() {

  $coffeebean_sidebar = array(
    'id'        => 'coffeebean_metabox_sidebar',
    'title'     => esc_html__('Layout settings', 'coffeebean'),
    'desc'      => '',
    'pages'     => array( 'post','page' ),
    'context'   => 'normal',
    'priority'  => 'high',
    'fields'    => array(
      array(
		    'label'       => esc_html__('Show page sidebar', 'coffeebean'),
		    'id'          => 'coffeebean_sidebar_on',
		    'type'        => 'on_off',
		    'desc'        => '',
		    'std'         => 'on',
      ),
      array(
        'id'          => 'coffeebean_sidebar_layout',
        'label'       => esc_html__('Sidebar side', 'coffeebean'),
        'desc'        => '',
        'std'         => 'right-sidebar',
        'type'        => 'radio',
        'class'       => '',
        'choices'     => array(
          array(
            'value'   => 'left-sidebar',
            'label'   => esc_html__('Left Sidebar', 'coffeebean')
          ),
          array(
            'value'   => 'right-sidebar',
            'label'   => esc_html__('Right Sidebar', 'coffeebean')
          )
        ),
      ),
    )
  );

  $coffeebean_page_settings = array(
    'id'        => 'coffeebean_page_settings',
    'title'     => esc_html__('Page & Portfolio settings', 'coffeebean'),
    'desc'      => '',
    'pages'     => array('page'),
    'context'   => 'normal',
    'priority'  => 'high',
    'fields'    => array(
      array(
      	'label'       => esc_html__('Page & Title', 'coffeebean'),
      	'id'          => 'coffeebean_page1',
      	'type'        => 'tab',
      	'desc'        => '',
      	'std'         => '',
      ),
      array(
      	'label'       => esc_html__('Page Builder/Visual editor content', 'coffeebean'),
      	'id'          => 'coffeebean_builder_on',
      	'type'        => 'on_off',
      	'desc'        => 'Enable Page builder and Visual editor content in current page',
      	'std'         => 'off'
      ),
      array(
      	'label'       => esc_html__('Display title', 'coffeebean'),
      	'id'          => 'coffeebean_display_title',
      	'type'        => 'on_off',
      	'desc'        => 'Show title on page',
      	'std'         => 'on',
        'rows'        => ''
      ),
      array(
        'id'          => 'coffeebean_title_position',
        'label'       => esc_html__('Title position', 'coffeebean'),
        'desc'        => '',
        'std'         => 'title-left',
        'type'        => 'select',
        'rows'        => '',
        'choices'     => array(
          array(
            'label'       => esc_html__('Left', 'coffeebean'),
            'value'       => 'title-left'
            ),
          array(
            'label'       => esc_html__('Center', 'coffeebean'),
            'value'       => 'title-center'
          ),
          array(
            'label'       => esc_html__('Right', 'coffeebean'),
            'value'       => 'title-right'
          )
        )
      ),
      array(
        'id'          => 'coffeebean_custom_title',
        'label'       => esc_html__('Cutom Title', 'coffeebean'),
        'desc'        => esc_html__('Replace your title', 'coffeebean'),
        'std'         => '',
        'type'        => 'text',
        'class'       => '',
      ),
      array(
        'id'          => 'coffeebean_page_subtitle',
        'label'       => esc_html__('Subtitle', 'coffeebean'),
        'desc'        => esc_html__('Text under Page title', 'coffeebean'),
        'std'         => '',
        'type'        => 'text',
        'class'       => '',
      ),
      array(
        'label'       => esc_html__('Title animation words', 'coffeebean'),
        'id'          => 'coffeebean_title_words',
        'type'        => 'text',
        'desc'        => esc_html__('Separated by commas: "coffee,bean"', 'coffeebean'),
        'std'         => '',
        'class'       => '',
      ),
      array(
        'id'          => 'coffeebean_title_words_type',
        'label'       => esc_html__('Title animation type', 'coffeebean'),
        'desc'        => '',
        'std'         => 'rotate-1',
        'type'        => 'select',
        'desc'        => '',
        'choices'     => array(
          array(
            'label'       => esc_html__('Rotate', 'coffeebean'),
            'value'       => 'rotate-1'
            ),
          array(
            'label'       => esc_html__('Letters type', 'coffeebean'),
            'value'       => 'letters type'
          ),
          array(
            'label'       => esc_html__('Letters scale', 'coffeebean'),
            'value'       => 'letters scale'
          ),
          array(
            'label'       => esc_html__('Letters rotate', 'coffeebean'),
            'value'       => 'letters rotate-2'
          ),
          array(
            'label'       => esc_html__('Letters rotate 2', 'coffeebean'),
            'value'       => 'letters rotate-3'
          ),
          array(
            'label'       => esc_html__('Loading-bar', 'coffeebean'),
            'value'       => 'loading-bar'
          ),
          array(
            'label'       => esc_html__('Slide', 'coffeebean'),
            'value'       => 'slide'
          ),
          array(
            'label'       => esc_html__('Clip', 'coffeebean'),
            'value'       => 'clip is-full-width'
          ),
          array(
            'label'       => esc_html__('Zoom', 'coffeebean'),
            'value'       => 'zoom'
          ),
          array(
            'label'       => esc_html__('Push', 'coffeebean'),
            'value'       => 'push'
          ),
        ),
      ),
      array(
        'id'          => 'coffeebean_preloader_image',
        'label'       => esc_html__('Alternative Preloader Image', 'coffeebean'),
        'desc'        => '',
        'std'         => '',
        'type'        => 'upload',
        'class'       => '',
      ),
      array(
        'id'          => 'coffeebean_mobile_featured',
        'label'       => esc_html__('Featured Image for Mobile Devices', 'coffeebean'),
        'desc'        => '',
        'std'         => '',
        'type'        => 'upload',
        'class'       => '',
      ),
      array(
      	'label'       => esc_html__('Video in Header', 'coffeebean'),
      	'id'          => 'coffeebean_page2',
      	'type'        => 'tab',
      	'desc'        => '',
      	'std'         => '',
      ),
      array(
        'id'          => 'coffeebean_page_video_link',
        'label'       => esc_html__('External Video link', 'coffeebean'),
        'desc'        => esc_html__('Paste link here to show video instead of picture in header', 'coffeebean'),
        'std'         => '',
        'type'        => 'text',
        'class'       => '',
      ),
      array(
        'id'          => 'coffeebean_page_video_selfhosted',
        'label'       => esc_html__('Selfhosted Video', 'coffeebean'),
        'desc'        => esc_html__('Upload new video instead of picture in header', 'coffeebean'),
        'std'         => '',
        'type'        => 'upload',
        'class'       => '',
      ),
      array(
        'id'          => 'coffeebean_header_video_size',
        'label'       => esc_html__('Video header size', 'coffeebean'),
        'desc'        => '',
        'std'         => '100',
        'type'        => 'select',
        'desc'        => '',
        'choices'     => array(
          array(
            'label'       => esc_html__('50%', 'coffeebean'),
            'value'       => '50'
          ),
          array(
            'label'       => esc_html__('80%', 'coffeebean'),
            'value'       => '80'
          ),
          array(
            'label'       => esc_html__('100%', 'coffeebean'),
            'value'       => '100'
          ),
          array(
            'label'       => esc_html__('110%', 'coffeebean'),
            'value'       => '110'
          ),
          array(
            'label'       => esc_html__('120%', 'coffeebean'),
            'value'       => '120'
          ),
          array(
            'label'       => esc_html__('130%', 'coffeebean'),
            'value'       => '130'
          )
        ),
      ),
      array(
      	'label'       => esc_html__('Portfolio & Filters', 'coffeebean'),
      	'id'          => 'coffeebean_page3',
      	'type'        => 'tab',
      	'desc'        => '',
      	'std'         => '',
      ),
      array(
        'label' => esc_html__('Select portfolio categories to display on this page', 'coffeebean'),
        'id' => 'coffeebean_portfolio_filters',
        'type' => 'taxonomy-checkbox',
        'desc' => esc_html__('Dispays all categories if not selected.', 'coffeebean'),
        'std' => '',
        'rows' => '',
        'post_type' => '',
        'taxonomy' => 'filters',
        'class' => 'filters-checbox'
      ),
      array(
        'id'          => 'coffeebean_filters_on',
        'label'       => esc_html__('Show filters', 'coffeebean'),
        'desc'        => '',
        'std'         => 'on',
        'type'        => 'on_off',
        'class'       => ''
      ),
      // array(
      //   'id'          => 'coffeebean_masonry_off',
      //   'label'       => esc_html__('Masonry portfolio', 'coffeebean'),
      //   'desc'        => esc_html__('use only with Masonry Portfolio template', 'coffeebean'),
      //   'std'         => 'off',
      //   'type'        => 'on_off',
      //   'class'       => ''
      // )
	  )
  );

  $coffeebean_gallery = array(
    'id'        => 'coffeebean_gallery_options',
    'title'     => esc_html__('Gallery & Video options', 'coffeebean'),
    'desc'      => esc_html__('If you choose Format as Gallery or Video you can use options here', 'coffeebean'),
    'pages'     => array('portfolio', 'post'),
    'context'   => 'normal',
    'priority'  => 'high',
    'fields'    => array(
      array(
      	'label'       => esc_html__('Gallery', 'coffeebean'),
      	'id'          => 'coffeebean_gallery1',
      	'type'        => 'tab',
      	'desc'        => '',
      	'std'         => '',
      ),
      array(
        'label'       => esc_html__('Show in Lightbox on click', 'coffeebean'),
        'id'          => 'coffeebean_show_aslightbox',
        'type'        => 'on_off',
        'desc'        => esc_html__('For portfolio project only', 'coffeebean'),
        'std'         => 'off'
      ),
      array(
        'label'       => esc_html__('Video lightbox Ratio', 'coffeebean'),
        'id'          => 'coffeebean_current_video_ratio',
        'type'        => 'select',
        'desc'        => esc_html__('Video Aspect Ratio for Current Lightbox', 'coffeebean'),
        'choices'     => array(
          array('label'=> esc_html__('Not Set', 'coffeebean'),'value'=> 'none'),
          array('label'=> esc_html__('4:3', 'coffeebean'),'value'=> '1.33333'),
          array('label'=> esc_html__('16:9', 'coffeebean'),'value'=> '1.77777'),
          array('label'=> esc_html__('1.85:1', 'coffeebean'),'value'=> '1.85'),
          array('label'=> esc_html__('2:1', 'coffeebean'),'value'=> '2'),
          array('label'=> esc_html__('2.35:1', 'coffeebean'),'value'=> '2.35'),
          array('label'=> esc_html__('1:1', 'coffeebean'),'value'=> '1'),
          array('label'=> esc_html__('9:16 - vertical', 'coffeebean'),'value'=> '0.5625'),
        ),
        'std'         => 'none',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'class'       => '',

      ),
      array(
        'label'       => esc_html__('Loop Video in Lightbox', 'coffeebean'),
        'id'          => 'coffeebean_vimeo_loop',
        'type'        => 'on_off',
        'desc'        => esc_html__('Only for Vimeo', 'coffeebean'),
        'std'         => 'off'
      ),
      array(
        'label'       => esc_html__('Show Original Image', 'coffeebean'),
        'id'          => 'coffeebean_show_original',
        'type'        => 'on_off',
        'desc'        => esc_html__('For GIF animation, not recommend for JPG', 'coffeebean'),
        'std'         => 'off'
      ),
      array(
        'id'          => 'coffeebean_gallery_layout',
        'label'       => esc_html__('Gallery style', 'coffeebean'),
        'desc'        => '',
        'std'         => 'slider-gallery',
        'type'        => 'radio',
        'class'       => '',
        'choices'     => array(
          array(
            'value'   => 'slider-gallery',
            'label'   => esc_html__('Slider Gallery', 'coffeebean')
          ),
          array(
            'value'   => 'tiled-gallery',
            'label'   => esc_html__('Tiled Gallery', 'coffeebean')
          ),
          array(
            'value'   => 'masonry-gallery',
            'label'   => esc_html__('Masonry Gallery', 'coffeebean')
          )
        )
      ),

      array(
        'id'          => 'coffeebean_gallery_images_size',
        'label'       => esc_html__('Gallery Images size', 'coffeebean'),
        'desc'        => '',
        'std'         => 'full',
        'type'        => 'radio',
        'class'       => '',
        'choices'     => array(
          array(
            'value'   => 'full',
            'label'   => esc_html__('Full', 'coffeebean')
          ),
          array(
            'value'   => 'coffeebean_portfolio-masonry',
            'label'   => esc_html__('Cropped (for faster loading)', 'coffeebean')
          )
        )
      ),

      array(
        'label' => esc_html__('Gallery images', 'coffeebean'),
        'id' => 'coffeebean_gallery_slider',
        'type' => 'gallery',
        'desc' => '',
        'post_type' => 'post'
      ),
      array(
      	'label'       => esc_html__('Video', 'coffeebean'),
      	'id'          => 'coffeebean_gallery2',
      	'type'        => 'tab',
      	'desc'        => '',
      	'std'         => '',
      ),
      array(
        'id'          => 'coffeebean_video_link',
        'label'       => esc_html__('Link to video (Youtube or Vimeo only)', 'coffeebean'),
        'desc'        => esc_html__('Make sure your Vimeo video URL looks like this: https://vimeo.com/00000000', 'coffeebean'),
        'std'         => '',
        'type'        => 'text',
        'class'       => '',
      ),
      array(
        'id'          => 'coffeebean_video_upload',
        'label'       => esc_html__('Self hosted video', 'coffeebean'),
        'desc'        => '',
        'std'         => '',
        'type'        => 'upload',
        'class'       => '',
      ),
      array(
        'label'       => esc_html__('Video Info Button', 'coffeebean'),
        'id'          => 'coffeebean_video_info',
        'type'        => 'on_off',
        'std'         => 'off'
      ),
      // array(
      //   'label'       => esc_html__('Video autoplay', 'coffeebean'),
      //   'id'          => 'coffeebean_video_autoplay',
      //   'type'        => 'on_off',
      //   'std'         => 'off'
      // ),
      array(
        'id'          => 'coffeebean_video_caption',
        'label'       => esc_html__('Caption for popup video in Lightbox', 'coffeebean'),
        'desc'        => '',
        'std'         => '',
        'type'        => 'text',
        'class'       => '',
      )
    )
  );

  $coffeebean_link = array(
    'id'        => 'coffeebean_link_options',
    'title'     => esc_html__('Blog Link options', 'coffeebean'),
    'desc'      => esc_html__('If you choose Post Format as "Link" you can use options here', 'coffeebean'),
    'pages'     => array('post'),
    'context'   => 'normal',
    'priority'  => 'high',
    'fields'    => array(
      array(
        'label' => esc_html__('Link Title', 'coffeebean'),
        'id' => 'coffeebean_link_text',
        'type' => 'text',
        'class' => '',
        'desc' => ''
      ),
      array(
        'label' => esc_html__('Link URL', 'coffeebean'),
        'id' => 'coffeebean_link_url',
        'type' => 'text',
        'class' => '',
        'desc' => ''
      )
    )
  );

  $coffeebean_filters = array(
    'id'        => 'coffeebean_portfolio_tax',
    'title'     => esc_html__('Portfolio page options', 'coffeebean'),
    'desc'      => esc_html__('If you choose page Template as "Portfolio" you can use options here', 'coffeebean'),
    'pages'     => array('page'),
    'context'   => 'normal',
    'priority'  => 'high',
    'fields'    => array(
      array(
        'label' => esc_html__('Select portfolio categories to display on this page', 'coffeebean'),
        'id' => 'coffeebean_portfolio_filters',
        'type' => 'taxonomy-checkbox',
        'desc' => esc_html__('Dispays all categories if not selected.', 'coffeebean'),
        'std' => '',
        'rows' => '',
        'post_type' => '',
        'taxonomy' => 'filters',
        'class' => 'filters-checbox'
      ),
      array(
        'id'          => 'coffeebean_filters_on',
        'label'       => esc_html__('Show filters', 'coffeebean'),
        'desc'        => '',
        'std'         => 'on',
        'type'        => 'on_off',
        'class'       => ''
      ),
      // array(
      //   'id'          => 'coffeebean_masonry_off',
      //   'label'       => esc_html__('Masonry portfolio', 'coffeebean'),
      //   'desc'        => esc_html__('use only with Masonry Portfolio template', 'coffeebean'),
      //   'std'         => 'off',
      //   'type'        => 'on_off',
      //   'class'       => ''
      // )
    )
  );

  $coffeebean_video = array(
    'id'        => 'coffeebean_metabox_video',
    'title'     => esc_html__('Post video link', 'coffeebean'),
    'desc'      => '',
    'pages'     => array( 'post' ),
    'context'   => 'normal',
    'priority'  => 'high',
    'fields'    => array(
	    array(
        'id'          => 'coffeebean_video_link',
        'label'       => esc_html__('Link to video (Youtube or Vimeo)', 'coffeebean'),
        'desc'        => '',
        'std'         => '',
        'type'        => 'text',
        'class'       => ''
      )
    )
  );

  $coffeebean_page_options = array(
    'id'        => 'coffeebean_page_options',
    'title'     => esc_html__('Color & Logo Options', 'coffeebean'),
    'desc'      => '',
    'pages'     => array('page', 'post', 'portfolio'),
    'context'   => 'normal',
    'priority'  => 'high',
    'fields'    => array(
      array(
      	'label'       => esc_html__('Colors', 'coffeebean'),
      	'id'          => 'coffeebean_color1',
      	'type'        => 'tab',
      	'desc'        => '',
      	'std'         => '',
      ),
      array(
        'label'       => esc_html__('Menu Font Color', 'coffeebean'),
        'id'          => 'coffeebean_menufont_pfcolor',
        'type'        => 'colorpicker',
        'desc'        => '',
        'std'         => '',
        'class'       => ''
      ),
      array(
        'label'       => esc_html__('Menu Background', 'coffeebean'),
        'id'          => 'coffeebean_menufont_pfbackground',
        'type'        => 'colorpicker',
        'desc'        => '',
        'std'         => '',
        'class'       => ''
      ),
      array(
        'label'       => esc_html__('Title Font Color', 'coffeebean'),
        'id'          => 'coffeebean_title_pfcolor',
        'type'        => 'colorpicker',
        'desc'        => '',
        'std'         => '',
        'class'       => ''
      ),
      array(
        'label'       => esc_html__('Title Background', 'coffeebean'),
        'id'          => 'coffeebean_header_color',
        'type'        => 'colorpicker',
        'desc'        => '',
        'std'         => '',
        'class'       => ''
      ),
      array(
        'label'       => esc_html__('Page Font Color', 'coffeebean'),
        'id'          => 'coffeebean_font_pfcolor',
        'type'        => 'colorpicker',
        'desc'        => '',
        'std'         => '',
        'class'       => ''
      ),
      array(
        'label'       => esc_html__('Page Background', 'coffeebean'),
        'id'          => 'coffeebean_background_pfcolor',
        'type'        => 'colorpicker',
        'desc'        => '',
        'std'         => '',
        'class'       => ''
      ),
      array(
      	'label'       => esc_html__('Alternative Logo', 'coffeebean'),
      	'id'          => 'coffeebean_color2',
      	'type'        => 'tab',
      	'desc'        => '',
      	'std'         => '',
      ),
      array(
        'label' => esc_html__('Alternative Logo Enable', 'coffeebean'),
        'id' => 'coffeebean_enable_alt_page',
        'type' => 'on_off',
        'std' => 'off',
        'desc' => ''
      )
    )
  );

  $coffeebean_blog_options = array(
    'id'        => 'coffeebean_blog_options',
    'title'     => esc_html__('Blog Post Options', 'coffeebean'),
    'desc'      => '',
    'pages'     => array('post'),
    'context'   => 'normal',
    'priority'  => 'high',
    'fields'    => array(
      array(
      	'label'       => esc_html__('Header & Title', 'coffeebean'),
      	'id'          => 'coffeebean_blog1',
      	'type'        => 'tab',
      	'desc'        => '',
      	'std'         => '',
      ),
      array(
        'id'          => 'coffeebean_blog_style',
        'label'       => esc_html__('Post header style', 'coffeebean'),
        'desc'        => '',
        'std'         => 'no-effects',
        'type'        => 'select',
        'desc'        => '',
        'choices'     => array(
          array(
            'label'       => esc_html__('Fade effect - Title Left', 'coffeebean'),
            'value'       => 'intro-effect-fadeout lefthand'
          ),
          array(
            'label'       => esc_html__('Fade effect - Title Center', 'coffeebean'),
            'value'       => 'intro-effect-fadeout centered'
          ),
          array(
            'label'       => esc_html__('Fade effect - Title Right', 'coffeebean'),
            'value'       => 'intro-effect-fadeout righthand'
          ),
          array(
            'label'       => esc_html__('No effects - Full Height', 'coffeebean'),
            'value'       => 'no-effects'
          ),
          array(
            'label'       => esc_html__('No effects - Height 2/3', 'coffeebean'),
            'value'       => 'no-effects height-auto'
          ),
          array(
            'label'       => esc_html__('No effects - Height 1/2', 'coffeebean'),
            'value'       => 'no-effects height-half'
          ),
        ),
      ),
      array(
        'label'       => esc_html__('Replace image in Header (Standard Style)', 'coffeebean'),
        'id'          => 'coffeebean_blog_image_replace',
        'type'        => 'upload',
        'desc'        => '',
        'std'         => '',
        'class'       => ''
      ),
      array(
        'label'       => esc_html__('Title position', 'coffeebean'),
        'id'          => 'coffeebean_blog_h1_position',
        'type'        => 'radio',
        'desc'        => '',
        'std'         => 'over',
        'rows'        => '',
        'choices'     => array(
          array(
            'value'   => 'over',
            'label'   => esc_html__('Over Header image', 'coffeebean'),
          ),
          array(
            'value'   => 'under',
            'label'   => esc_html__('Under Header image', 'coffeebean'),
          )
        ),
        'class'       => ''
      ),
      array(
        'label'       => esc_html__('Show Title before scroll', 'coffeebean'),
        'id'          => 'coffeebean_blog_hide_h1',
        'type'        => 'on_off',
        'desc'        => '',
        'std'         => 'on'
      ),
      array(
        'id'          => 'coffeebean_blog_subtitle',
        'label'       => esc_html__('Subtitle', 'coffeebean'),
        'desc'        => '',
        'std'         => '',
        'type'        => 'text',
        'class'       => '',
      ),
      array(
      	'label'       => esc_html__('Intro text & Position', 'coffeebean'),
      	'id'          => 'coffeebean_blog2',
      	'type'        => 'tab',
      	'desc'        => '',
      	'std'         => '',
      ),
      array(
        'id'          => 'coffeebean_blog_excerpt',
        'label'       => esc_html__('Intro text', 'coffeebean'),
        'desc'        => '',
        'std'         => '',
        'type'        => 'textarea',
        'class'       => '',
      ),
      array(
        'id'          => 'coffeebean_blog_excerpt_position',
        'label'       => esc_html__('Intro text position', 'coffeebean'),
        'desc'        => '',
        'std'         => 'right-side2',
        'type'        => 'select',
        'choices'     => array(
          array(
            'label'       => esc_html__('Right 2 columns', 'coffeebean'),
            'value'       => 'right-side2'
          ),
          array(
            'label'       => esc_html__('Center 2 columns', 'coffeebean'),
            'value'       => 'center-side2'
          ),
          array(
            'label'       => esc_html__('Left 2 columns', 'coffeebean'),
            'value'       => 'left-side2'
          ),
          array(
            'label'       => esc_html__('Right 1 column', 'coffeebean'),
            'value'       => 'right-side1'
          ),
          array(
            'label'       => esc_html__('Center 1 column', 'coffeebean'),
            'value'       => 'center-side1'
          ),
          array(
            'label'       => esc_html__('Left 1 column', 'coffeebean'),
            'value'       => 'left-side1'
          ),
        ),
      ),
      array(
      	'label'       => esc_html__('Format Link options', 'coffeebean'),
      	'id'          => 'coffeebean_blog3',
      	'type'        => 'tab',
      	'desc'        => '',
      	'std'         => '',
      ),
      array(
        'label' => esc_html__('Link Title', 'coffeebean'),
        'id' => 'coffeebean_link_text',
        'type' => 'text',
        'class' => '',
        'desc' => ''
      ),
      array(
        'label' => esc_html__('Link URL', 'coffeebean'),
        'id' => 'coffeebean_link_url',
        'type' => 'text',
        'class' => '',
        'desc' => ''
      )
    )
  );

  $coffeebean_recent_pf_options = array(
    'id'        => 'coffeebean_recent_pf_options',
    'title'     => esc_html__('Portfolio Project Options', 'coffeebean'),
    'desc'      => '',
    'pages'     => array('portfolio'),
    'context'   => 'normal',
    'priority'  => 'high',
    'fields'    => array(
      array(
      	'label'       => esc_html__('Type & Size', 'coffeebean'),
      	'id'          => 'coffeebean_tab1',
      	'type'        => 'tab',
      	'desc'        => '',
      	'std'         => '',
      ),
      array(
        'label'       => esc_html__('Project Type', 'coffeebean'),
        'id'          => 'coffeebean_portfolio_type',
        'type'        => 'radio',
        'desc'        => '',
        'std'         => 'standard',
        'rows'        => '',
        'choices'     => array(
          array(
            'value'   => 'standard',
            'label'   => esc_html__('Standard', 'coffeebean'),
          ),
          array(
            'value'   => 'gallery',
            'label'   => esc_html__('Gallery', 'coffeebean'),
          ),
    		  array(
            'value'   => 'video',
            'label'   => esc_html__('Video', 'coffeebean'),
          )
        ),
        'class'       => ''
      ),
      array(
        'id'          => 'coffeebean_portfolio_size',
        'label'       => esc_html__('Portfolio item size', 'coffeebean'),
        'desc'        => '',
        'std'         => '1x1',
        'type'        => 'select',
        'desc'        => '',
        'choices'     => array(
          array(
            'label'       => esc_html__('Standard (1x1)', 'coffeebean'),
            'value'       => '1x1'
          ),
          array(
            'label'       => esc_html__('1x2', 'coffeebean'),
            'value'       => '1x2'
          ),
          array(
            'label'       => esc_html__('2x1', 'coffeebean'),
            'value'       => '2x1'
          ),
          array(
            'label'       => esc_html__('2x2', 'coffeebean'),
            'value'       => '2x2'
          ),
          array(
            'label'       => esc_html__('3x1', 'coffeebean'),
            'value'       => '3x1'
          ),
          array(
            'label'       => esc_html__('3x3', 'coffeebean'),
            'value'       => '3x3'
          )
        ),
      ),
      array(
      	'label'       => esc_html__('Style & Title', 'coffeebean'),
      	'id'          => 'coffeebean_tab2',
      	'type'        => 'tab',
      	'desc'        => '',
      	'std'         => '',
      ),
      array(
        'id'          => 'coffeebean_portfolio_style',
        'label'       => esc_html__('Portfolio style', 'coffeebean'),
        'desc'        => '',
        'std'         => 'no-effects',
        'type'        => 'select',
        'desc'        => '',
        'choices'     => array(
          array(
            'label'       => esc_html__('No title image', 'coffeebean'),
            'value'       => 'no-effects height-optimal no-title'
          ),
          array(
            'label'       => esc_html__('Fade effect - Title Left', 'coffeebean'),
            'value'       => 'intro-effect-fadeout lefthand'
          ),
          array(
            'label'       => esc_html__('Fade effect - Title Center', 'coffeebean'),
            'value'       => 'intro-effect-fadeout centered'
          ),
          array(
            'label'       => esc_html__('Fade effect - Title Right', 'coffeebean'),
            'value'       => 'intro-effect-fadeout righthand'
          ),
          array(
            'label'       => esc_html__('No effects - Full Height', 'coffeebean'),
            'value'       => 'no-effects'
          ),
          array(
            'label'       => esc_html__('No effects - Height 2/3', 'coffeebean'),
            'value'       => 'no-effects height-auto'
          ),
          array(
            'label'       => esc_html__('No effects - Height 1/2', 'coffeebean'),
            'value'       => 'no-effects height-half'
          ),
        ),
      ),
      array(
        'label'       => esc_html__('Replace image in Header (Standard Style)', 'coffeebean'),
        'id'          => 'coffeebean_image_replace',
        'type'        => 'upload',
        'desc'        => '',
        'std'         => '',
        'class'       => ''
      ),
      array(
        'label'       => esc_html__('Title position', 'coffeebean'),
        'id'          => 'coffeebean_h1_position',
        'type'        => 'radio',
        'desc'        => '',
        'std'         => 'over',
        'rows'        => '',
        'choices'     => array(
          array(
            'value'   => 'over',
            'label'   => esc_html__('Over Header image', 'coffeebean'),
          ),
          array(
            'value'   => 'under',
            'label'   => esc_html__('Under Header image', 'coffeebean'),
          )
        ),
        'class'       => ''
      ),
      array(
        'label'       => esc_html__('Show Title before scroll', 'coffeebean'),
        'id'          => 'coffeebean_hide_h1',
        'type'        => 'on_off',
        'desc'        => '',
        'std'         => 'on'
      ),
      array(
        'id'          => 'coffeebean_subtitle',
        'label'       => esc_html__('Subtitle', 'coffeebean'),
        'desc'        => '',
        'std'         => '',
        'type'        => 'text',
        'class'       => '',
      ),
      array(
        'id'          => 'coffeebean_preloader_image',
        'label'       => esc_html__('Alternative Preloader image', 'coffeebean'),
        'desc'        => '',
        'std'         => '',
        'type'        => 'upload',
        'class'       => '',
      ),
      array(
      	'label'       => esc_html__('Intro text & Position', 'coffeebean'),
      	'id'          => 'coffeebean_tab3',
      	'type'        => 'tab',
      	'desc'        => '',
      	'std'         => '',
      ),
      array(
        'id'          => 'coffeebean_portfolio_excerpt',
        'label'       => esc_html__('Intro text', 'coffeebean'),
        'desc'        => '',
        'std'         => '',
        'type'        => 'textarea',
        'class'       => '',
      ),
      array(
        'id'          => 'coffeebean_excerpt_position',
        'label'       => esc_html__('Intro text position', 'coffeebean'),
        'desc'        => '',
        'std'         => 'right-side2',
        'type'        => 'select',
        'choices'     => array(
          array(
            'label'       => esc_html__('Right 2 columns', 'coffeebean'),
            'value'       => 'right-side2'
          ),
          array(
            'label'       => esc_html__('Center 2 columns', 'coffeebean'),
            'value'       => 'center-side2'
          ),
          array(
            'label'       => esc_html__('Left 2 columns', 'coffeebean'),
            'value'       => 'left-side2'
          ),
          array(
            'label'       => esc_html__('Right 1 column', 'coffeebean'),
            'value'       => 'right-side1'
          ),
          array(
            'label'       => esc_html__('Center 1 column', 'coffeebean'),
            'value'       => 'center-side1'
          ),
          array(
            'label'       => esc_html__('Left 1 column', 'coffeebean'),
            'value'       => 'left-side1'
          ),
        ),
      ),
      array(
      	'label'       => esc_html__('Project Info', 'coffeebean'),
      	'id'          => 'coffeebean_tab4',
      	'type'        => 'tab',
      	'desc'        => '',
      	'std'         => '',
      ),
      array(
        'id'          => 'coffeebean_project_client',
        'label'       => esc_html__('Client', 'coffeebean'),
        'desc'        => '',
        'std'         => '',
        'type'        => 'text',
        'class'       => '',
      ),
      array(
        'id'          => 'coffeebean_project_website',
        'label'       => esc_html__('Website title', 'coffeebean'),
        'desc'        => '',
        'std'         => '',
        'type'        => 'text',
        'class'       => '',
      ),
      array(
        'id'          => 'coffeebean_project_website_url',
        'label'       => esc_html__('Website URL', 'coffeebean'),
        'desc'        => '',
        'std'         => '',
        'type'        => 'text',
        'class'       => ''
      ),
      array(
        'id'          => 'coffeebean_customurl',
        'label'       => esc_html__('Custom URL (for redirect)', 'coffeebean'),
        'desc'        => '',
        'std'         => '',
        'type'        => 'text',
        'class'       => '',
      ),
      array(
      	'label'       => esc_html__('Recent Projects Filters', 'coffeebean'),
      	'id'          => 'coffeebean_tab5',
      	'type'        => 'tab',
      	'desc'        => '',
      	'std'         => '',
      ),
      array(
        'label' => esc_html__('Recent Projects filters to display', 'coffeebean'),
        'id' => 'coffeebean_recent_portfolio_filters',
        'type' => 'taxonomy-checkbox',
        'taxonomy'  => 'filters',
      ),
    )
  );

  ot_register_meta_box( $coffeebean_gallery );
  ot_register_meta_box( $coffeebean_recent_pf_options );
  ot_register_meta_box( $coffeebean_blog_options );
  ot_register_meta_box( $coffeebean_page_options );
  //ot_register_meta_box( $coffeebean_filters );
  ot_register_meta_box( $coffeebean_page_settings );

  //ot_register_meta_box( $coffeebean_link );
  ot_register_meta_box( $coffeebean_sidebar );
}
