<?php

add_action( 'admin_init', 'coffeebean_theme_options', 1 );

function coffeebean_theme_options() {

  $layers = array();
  global $wpdb;

  $saved_settings = get_option( 'option_tree_settings', array() );


  $custom_settings = array(
   'contextual_help' => array(
      'content'       => array(
        array(
          'id'        => 'general_help',
          'title'     => esc_html__('General', 'coffeebean'),
          'content'   => esc_html__('Help content goes here!', 'coffeebean')
          )
        ),
      'sidebar'       => esc_html__('Sidebar content goes here!', 'coffeebean')
      ),
    'sections'        => array(

      array(
        'title'       => esc_html__('Header', 'coffeebean'),
        'id'          => 'header'
        ),

      array(
        'title'       => esc_html__('Blog options', 'coffeebean'),
        'id'          => 'blog'
        ),

       array(
        'title'       => esc_html__('Portfolio options', 'coffeebean'),
        'id'          => 'portfolio'
        ),
      array(
        'id'          => 'typo',
        'title'       => esc_html__('Typography', 'coffeebean')
        ),

		array(
        'title'       => esc_html__('General Options', 'coffeebean'),
        'id'          => 'general'
        )
      ),

    'settings'        => array(

    array(
    'label'       => esc_html__('Super Header', 'coffeebean'),
    'id'          => 'super_header',
    'type'        => 'on_off',
    'desc'        => '',
    'std'         => 'on',
    'rows'        => '',
    'post_type'   => '',
    'taxonomy'    => '',
    'class'       => '',
    'section'     => 'header'
    ),
array(
  'label'       => esc_html__('Header logo', 'coffeebean'),
  'id'          => 'logo_upload',
  'type'        => 'upload',
  'desc'        => esc_html__('Better use transparent png', 'coffeebean'),
  'std'         => '',
  'rows'        => '',
  'post_type'   => '',
  'taxonomy'    => '',
  'class'       => '',
  'section'     => 'header'
  ),

  array(
    'label'       => esc_html__('Header alternative logo', 'coffeebean'),
    'id'          => 'alt_logo_upload',
    'type'        => 'upload',
    'desc'        => esc_html__('For dark backgrounds and etc.', 'coffeebean'),
    'std'         => '',
    'rows'        => '',
    'post_type'   => '',
    'taxonomy'    => '',
    'class'       => '',
    'section'     => 'header'
    ),

  array(
  'label'       => esc_html__('Logo text', 'coffeebean'),
  'id'          => 'logo_text',
  'type'        => 'text',
  'desc'        => esc_html__('Text in Logo', 'coffeebean'),
  'std'         => '',
  'rows'        => '',
  'post_type'   => '',
  'taxonomy'    => '',
  'class'       => '',
  'section'     => 'header'
  ),

  array(
    'label'       => esc_html__('Logo text Color', 'coffeebean'),
    'id'          => 'logo_maincolor',
    'type'        => 'colorpicker',
    'desc'        => '',
    'std'         => '',
    'rows'        => '',
    'post_type'   => '',
    'taxonomy'    => '',
    'class'       => '',
    'section'     => 'header'
    ),

    array(
      'label'       => esc_html__('Logo text Alternative Color', 'coffeebean'),
      'id'          => 'logo_altcolor',
      'type'        => 'colorpicker',
      'desc'        => '',
      'std'         => '',
      'rows'        => '',
      'post_type'   => '',
      'taxonomy'    => '',
      'class'       => '',
      'section'     => 'header'
      ),

  array(
    'label'       => esc_html__('Enable logo animation on hover', 'coffeebean'),
    'id'          => 'logo_rotate',
    'type'        => 'on_off',
    'desc'        => '',
    'std'         => 'off',
    'rows'        => '',
    'post_type'   => '',
    'taxonomy'    => '',
    'class'       => '',
    'section'     => 'header'
    ),

array(
    'label'       => esc_html__('Favicon ', 'coffeebean'),
    'id'          => 'favicon_upload',
    'type'        => 'upload',
    'desc'        => esc_html__('Upload favicon here - PNG or ICO 16x16px', 'coffeebean'),
    'std'         => '',
    'rows'        => '',
    'post_type'   => '',
    'taxonomy'    => '',
    'class'       => '',
    'section'     => 'header'
    ),
  array(
    'label'       => esc_html__('Logo width', 'coffeebean'),
    'id'          => 'logo_width',
    'type'        => 'text',
    'desc'        => esc_html__('px', 'coffeebean'),
    'std'         => '',
    'rows'        => '',
    'post_type'   => '',
    'taxonomy'    => '',
    'class'       => '',
    'section'     => 'header'
    ),

array(
  'label'       => esc_html__('Submenu width in Header menu', 'coffeebean'),
  'id'          => 'submenu_width',
  'type'        => 'numeric-slider',
  'desc'        => '',
  'std'         => '190',
  'rows'        => '',
  'post_type'   => '',
  'taxonomy'    => '',
  'class'       => '',
  'min_max_step'=> '100,400,10',
  'section'     => 'header'
  ),

  array(
    'label'       => esc_html__('Menu bar Background color', 'coffeebean'),
    'id'          => 'topbar_bg',
    'type'        => 'colorpicker',
    'desc'        => '',
    'std'         => '',
    'class'       => '',
    'section'     => 'header'
    ),

  array(
  'label'       => esc_html__('Blog main page', 'coffeebean'),
  'id'          => 'blog_main_page',
  'type'        => 'page-select',
  'desc'        => '',
  'std'         => '',
  'rows'        => '',
  'post_type'   => '',
  'taxonomy'    => '',
  'class'       => '',
  'section'     => 'blog'
  ),

  array(
  'label'       => esc_html__('Blog page title', 'coffeebean'),
  'id'          => 'blog_title',
  'type'        => 'text',
  'desc'        => '',
  'std'         => 'Blog',
  'rows'        => '',
  'post_type'   => '',
  'taxonomy'    => '',
  'class'       => '',
  'section'     => 'blog'
  ),

  array(
    'label'       => esc_html__('Display Blog Title', 'coffeebean'),
    'id'          => 'blog_title_show',
    'type'        => 'on_off',
    'desc'        => '',
    'std'         => 'on',
    'class'       => '',
    'section'     => 'blog'
  ),

array(
  'label'       => esc_html__('Blog layout', 'coffeebean'),
  'id'          => 'blog_layout',
  'type'        => 'radio',
  'desc'        => esc_html__('Choose sidebar side on blog.', 'coffeebean'),
  'std'         => 'no-sidebar',
  'rows'        => '',
  'post_type'   => '',
  'taxonomy'    => '',
    'choices'     => array(
          array(
            'value'   => 'left-sidebar',
            'label'   => esc_html__('Left Sidebar', 'coffeebean'),
          ),
          array(
            'value'   => 'right-sidebar',
            'label'   => esc_html__('Right Sidebar', 'coffeebean'),
          ),

		  array(
            'value'   => 'no-sidebar',
            'label'   => esc_html__('No Sidebar', 'coffeebean'),
          )

        ),
  'class'       => '',
  'section'     => 'blog'
  ),

array(
  'id'          => 'hide_comments',
  'label'       => esc_html__('Hide comments for all posts', 'coffeebean'),
  'desc'        => '',
  'std'         => 'no',
  'section'     => 'blog',
  'type'        => 'select',
  'desc'        => esc_html__('Enable/disable comments on blog pages', 'coffeebean'),
  'choices'     => array(
    array(
      'label'       => 'No',
      'value'       => 'no'
      ),
    array(
      'label'       => 'Yes',
      'value'       => 'yes'
      )
    ),
),

  array(
  'label'       => esc_html__('Portfolio main page', 'coffeebean'),
  'id'          => 'portfolio_main_page',
  'type'        => 'page-select',
  'desc'        => '',
  'std'         => '',
  'rows'        => '',
  'post_type'   => '',
  'taxonomy'    => '',
  'class'       => '',
  'section'     => 'portfolio'
  ),

array(
  'label'       => esc_html__('Portfolio number of items to display', 'coffeebean'),
  'id'          => 'portfolio_showpost',
  'type'        => 'select',
  'desc'        => esc_html__('Choose how many items to display on portfolio page', 'coffeebean'),
  'choices'     => array(
    array('label'=> '3','value'=> '3'),
    array('label'=> '4','value'=> '4'),
    array('label'=> '5','value'=> '5'),
    array('label'=> '6','value'=> '6'),
    array('label'=> '7','value'=> '7'),
    array('label'=> '8','value'=> '8'),
    array('label'=> '9','value'=> '9'),
    array('label'=> '10','value'=> '10'),
    array('label'=> '11','value'=> '11'),
    array('label'=> '12','value'=> '12'),
    array('label'=> '13','value'=> '13'),
    array('label'=> '14','value'=> '14'),
    array('label'=> '15','value'=> '15'),
    array('label'=> '16','value'=> '16'),
    array('label'=> '32','value'=> '32'),
    array('label'=> 'All','value'=> '99')
    ),
  'std'         => '12',
  'rows'        => '',
  'post_type'   => '',
  'taxonomy'    => '',
  'class'       => '',
  'section'     => 'portfolio'
  ),

array(
  'label'       => esc_html__('Recent Projects on single portfolio view', 'coffeebean'),
  'id'          => 'recent_portfolio',
  'type'        => 'on_off',
  'desc'        => '',
  'std'         => 'on',
  'rows'        => '',
  'post_type'   => '',
  'taxonomy'    => '',
  'class'       => '',
  'section'     => 'portfolio'
  ),

array(
  'label'       => esc_html__('Recent Projects title', 'coffeebean'),
  'id'          => 'recent_portfolio_text',
  'type'        => 'text',
  'desc'        => esc_html__('Title of recent work secion on single portfolio view', 'coffeebean'),
  'std'         => 'Recent Projects',
  'rows'        => '',
  'post_type'   => '',
  'taxonomy'    => '',
  'class'       => '',
  'section'     => 'portfolio'
  ),

  array(
  'label'       => esc_html__('Portfolio Recent Projects number of items to display', 'coffeebean'),
  'id'          => 'recent_showpost',
  'type'        => 'select',
  'desc'        => esc_html__('Choose how many Recent items to display on portfolio page', 'coffeebean'),
  'choices'     => array(
    array('label'=> '4','value'=> '4'),
    array('label'=> '8','value'=> '8'),
    array('label'=> '12','value'=> '12'),
    array('label'=> '16','value'=> '16'),
	  array('label'=> '24','value'=> '24'),
    array('label'=> '32','value'=> '32'),
	  array('label'=> '48','value'=> '48')
    ),
  'std'         => '32',
  'rows'        => '',
  'post_type'   => '',
  'taxonomy'    => '',
  'class'       => '',
  'section'     => 'portfolio'
  ),

  array(
    'label'       => esc_html__('Recent Projects Full Width', 'coffeebean'),
    'id'          => 'recent_fullwidth',
    'type'        => 'on_off',
    'desc'        => '',
    'std'         => 'on',
    'rows'        => '',
    'post_type'   => '',
    'taxonomy'    => '',
    'class'       => '',
    'section'     => 'portfolio'
  ),

  array(
  'label'       => esc_html__('Portfolio Recent Projects Columns Number', 'coffeebean'),
  'id'          => 'recent_columns',
  'type'        => 'select',
  'choices'     => array(
    array('label'=> '4','value'=> '4'),
    array('label'=> '3','value'=> '3'),
    //array('label'=> '2','value'=> '2')
    ),
  'std'         => '4',
  'rows'        => '',
  'post_type'   => '',
  'taxonomy'    => '',
  'class'       => '',
  'section'     => 'portfolio'
  ),

  array(
 'label'       => esc_html__('Infinite scroll', 'coffeebean'),
 'id'          => 'infinite_off',
 'type'        => 'on_off',
 'desc'        => '',
 'std'         => 'on',
 'class'       => '',
 'section'     => 'portfolio'
 ),

   array(
    'label'       => esc_html__('Enable Loadmore animation image', 'coffeebean'),
    'id'          => 'portfolio_loadmore_animation',
    'type'        => 'on_off',
    'desc'        => '',
    'std'         => 'on',
    'class'       => '',
    'section'     => 'portfolio'
   ),

  array(
  'label'       => esc_html__('Page preloader', 'coffeebean'),
  'id'          => 'preloader_on',
  'type'        => 'on_off',
  'desc'        => '',
  'std'         => 'on',
  'rows'        => '',
  'post_type'   => '',
  'taxonomy'    => '',
  'class'       => '',
  'section'     => 'general'
  ),

  array(
  'label'       => esc_html__('Smooth scroll', 'coffeebean'),
  'id'          => 'smooth_scroll',
  'type'        => 'on_off',
  'desc'        => '',
  'std'         => 'off',
  'rows'        => '',
  'post_type'   => '',
  'taxonomy'    => '',
  'class'       => '',
  'section'     => 'general'
  ),

array(
  'id'          => 'custom_css',
  'label'       => esc_html__('Custom CSS', 'coffeebean'),
  'desc'        => esc_html__('To prevent problems with theme update write here custom CSS code', 'coffeebean'),
  'std'         => '',
  'type'        => 'css',
  'section'     => 'general',
  'rows'        => '',
  'post_type'   => '',
  'taxonomy'    => '',
  'class'       => ''
  ),

array(
   'id'          => 'google_analytics',
   'label'       => esc_html__('Analytics code', 'coffeebean'),
   'desc'        => esc_html__('Put here your Analytics script code or Java Script', 'coffeebean'),
   'std'         => '',
   'type'        => 'javascript',
   'section'     => 'general',
   'rows'        => '',
   'post_type'   => '',
   'taxonomy'    => '',
   'class'       => ''
  ),
 array(
    'id'          => 'google_fonts',
    'label'       => esc_html__('Google Fonts', 'coffeebean'),
    'desc'        => '',
    'std'         => '',
    'type'        => 'google-fonts',
    'section'     => 'typo',
    'rows'        => '',
    'post_type'   => '',
    'taxonomy'    => '',
    'min_max_step'=> '',
    'class'       => '',
    'condition'   => '',
    'operator'    => 'and'
),

array(
  'label'       => esc_html__('Main and Links Color', 'coffeebean'),
  'id'          => 'links_color',
  'type'        => 'colorpicker',
  'desc'        => '',
  'std'         => '',
  'rows'        => '',
  'post_type'   => '',
  'taxonomy'    => '',
  'class'       => '',
  'section'     => 'typo'
  ),

array(
  'label'       => esc_html__('Body Font', 'coffeebean'),
  'id'          => 'body_font',
  'type'        => 'typography',
  'desc'        => '',
  'std'         => '',
  'rows'        => '',
  'post_type'   => '',
  'taxonomy'    => '',
  'class'       => '',
  'section'     => 'typo'
  ),

array(
  'label'       => esc_html__('Menu Font', 'coffeebean'),
  'id'          => 'menu_font',
  'type'        => 'typography',
  'desc'        => '',
  'std'         => '',
  'rows'        => '',
  'post_type'   => '',
  'taxonomy'    => '',
  'class'       => '',
  'section'     => 'typo'
  ),
array(
  'label'       => esc_html__('Logo Font', 'coffeebean'),
  'id'          => 'logo_font',
  'type'        => 'typography',
  'desc'        => '',
  'std'         => '',
  'rows'        => '',
  'post_type'   => '',
  'taxonomy'    => '',
  'class'       => '',
  'section'     => 'typo'
  ),

array(
  'label'       => esc_html__('H1 Headers Font', 'coffeebean'),
  'id'          => 'h1_font',
  'type'        => 'typography',
  'std'         => '',
  'rows'        => '',
  'post_type'   => '',
  'taxonomy'    => '',
  'class'       => '',
  'section'     => 'typo'
  ),

array(
  'label'       => esc_html__('H2 Headers Font', 'coffeebean'),
  'id'          => 'h2_font',
  'type'        => 'typography',
  'std'         => '',
  'rows'        => '',
  'post_type'   => '',
  'taxonomy'    => '',
  'class'       => '',
  'section'     => 'typo'
  ),

array(
  'label'       => esc_html__('H3 Headers Font', 'coffeebean'),
  'id'          => 'h3_font',
  'type'        => 'typography',
  'std'         => '',
  'rows'        => '',
  'post_type'   => '',
  'taxonomy'    => '',
  'class'       => '',
  'section'     => 'typo'
  ),

array(
  'label'       => esc_html__('H4 Headers Font', 'coffeebean'),
  'id'          => 'h4_font',
  'type'        => 'typography',

  'std'         => '',
  'rows'        => '',
  'post_type'   => '',
  'taxonomy'    => '',
  'class'       => '',
  'section'     => 'typo'
  ),

array(
  'label'       => esc_html__('H5 Headers Font', 'coffeebean'),
  'id'          => 'h5_font',
  'type'        => 'typography',

  'std'         => '',
  'rows'        => '',
  'post_type'   => '',
  'taxonomy'    => '',
  'class'       => '',
  'section'     => 'typo'
  ),

array(
  'label'       => esc_html__('H6 Headers Font', 'coffeebean'),
  'id'          => 'h6_font',
  'type'        => 'typography',
  'std'         => '',
  'rows'        => '',
  'post_type'   => '',
  'taxonomy'    => '',
  'class'       => '',
  'section'     => 'typo'
  )
)
);

	if ( $saved_settings !== $custom_settings ) {
	  update_option( 'option_tree_settings', $custom_settings );
	}

}
