<?php
/**
 * Blog Gallery template part
 */

$related = new coffeebean_GetGlobal();
$image_url = $thumbnail_url = $ratio = '';
$rnd = rand (1, 999);

$images_size = (get_post_meta($post->ID, 'coffeebean_gallery_images_size', TRUE)) ?: 'full';

$ids = get_post_meta($post->ID, 'coffeebean_gallery_slider', TRUE);
$args = array(
	'post_type' => 'attachment',
	'post_status' => 'inherit',
	'post_mime_type' => 'image',
	'post__in' => explode( ",", $ids),
	'posts_per_page' => '-1',
	'orderby' => 'post__in'
);

$images_array = get_posts( $args );

if ( !is_single() || $related->related === true ) {

	if (has_post_thumbnail()) {

		if (has_post_thumbnail()) {
      $portfolio_main = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'portfolio-masonry' );
      $ratio = ($portfolio_main[2]) ? $portfolio_main[1]/$portfolio_main[2] : '';
      $image_url = $portfolio_main[0];
		} ?>

		<div class="post_thumb">
	    <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>" rel="bookmark"></a>
	    <div class="thumb" data-ratio="<?php echo esc_html($ratio) ?>" style="background-image:url('<?php echo esc_url($image_url); ?>');"></div>
		</div>

	<?php }

	elseif ($images_array) { ?>

		<div class="owl-carousel owl-theme">

			<?php foreach ($images_array as $image) {
				$attachment = wp_get_attachment_image_src($image->ID, 'full');
				$thumb = wp_get_attachment_image_src($image->ID, $images_size);
				$ratio = ($thumb[2]) ? $thumb[1]/$thumb[2] : ''; ?>

					<a class="slick-slide" href="<?php echo esc_url($attachment[0]); ?>" data-fancybox="group-<?php echo $rnd; ?>" title="<?php echo esc_html($image->post_title); ?>" data-caption="<?php echo esc_html($image->post_excerpt); ?>">
						<img class="thumb" src="<?php echo esc_url($thumb[0]); ?>" data-ratio="<?php echo esc_html($ratio) ?>" alt="<?php echo esc_html($image->post_title); ?>" />
					</a>

			<?php } ?>

		</div>

	<?php	} else {}

} else {

	if ($images_array) {
		if (get_post_meta($post->ID, 'coffeebean_gallery_layout', TRUE) == "slider-gallery" ) { ?>

		<div class="portfolio-header-image owl-carousel owl-theme">

			<?php foreach ($images_array as $image) {
				$attachment = wp_get_attachment_image_src($image->ID, 'full');
				$thumb = wp_get_attachment_image_src($image->ID, $images_size);
				$ratio = ($thumb[2]) ? $thumb[1]/$thumb[2] : ''; ?>

				<a class="slick-slide" href="<?php echo esc_url($attachment[0]); ?>" data-fancybox="group" title="<?php echo esc_html($image->post_title); ?>" data-caption="<?php echo esc_html($image->post_excerpt); ?>">
					<img src="<?php echo esc_url($thumb[0]); ?>" data-ratio="<?php echo esc_html($ratio) ?>" alt="<?php echo esc_html($image->post_title); ?>" />
				</a>

			<?php } ?>

		</div>

	<?php } else {

		$masonry_columns = (get_post_meta($post->ID, 'coffeebean_masonry_gallery_layout', TRUE) != "three-columns") ? 'full-width' : 'third-masonry';	?>

		<div id="portfolio-gallery-wrapper">
			<?php foreach($images_array as $image){
				$attachment = wp_get_attachment_image_src($image->ID, 'full');
				$ratio = ($attachment[2] > 0) ? $attachment[1]/$attachment[2] : '';
				$thumb = wp_get_attachment_image_src($image->ID, $images_size); ?>
				<div class="<?php echo esc_html($masonry_columns); ?> portfolio-gallery-item" data-ratio="<?php echo esc_html($ratio) ?>">
					<a href="<?php echo esc_url($attachment[0]); ?>" data-fancybox="group" title="<?php echo esc_html($image->post_title); ?>" data-caption="<?php echo esc_html($image->post_excerpt); ?>">
						<img src="<?php echo esc_url($thumb[0]); ?>" alt="<?php echo esc_html($image->post_title); ?>" />
					</a>
				</div>
			<?php } ?>
		</div>

<?php }
	} else {

		if (get_post_meta($post->ID, 'coffeebean_image_replace', true)) {
			$thumbnail_url = get_post_meta($post->ID, 'coffeebean_image_replace', true);
		} else {
		 if (has_post_thumbnail()) {
			$thumbnail_full = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'full' );
			$thumbnail_url = $thumbnail_full[0];
			}
		} ?>

		<div class="portfolio-header-image" style="background-image:url('<?php echo esc_url($thumbnail_url) ?>')"></div>

	<?php } ?>
<?php } ?>
