<?php
/**
 * Video blog template part
 */

$related = new coffeebean_GetGlobal();
$image_url = $thumbnail_url = $ratio = '';

if (get_post_meta($post->ID, 'coffeebean_video_upload', true)) {

	$uploads = wp_upload_dir();
	$uploads_dir =  $uploads['basedir'];
	$video_upload = esc_url(get_post_meta($post->ID, 'coffeebean_video_upload', true));
	$uploads_dir = $uploads_dir . str_replace("uploads", "", strstr($video_upload,"uploads"));
	$videodata = wp_read_video_metadata($uploads_dir);
	$video_ratio = (isset($videodata['height'])) ? $videodata['width']/$videodata['height'] : '';

}

if ( !is_single() || $related->related === true ) {

	if (get_post_meta($post->ID, 'coffeebean_video_upload', true)) { ?>

		<div class="blog-self_container post_thumb">
			<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>" rel="bookmark"></a>
			<video class="blog-selfhosted-video" data-video-ratio="<?php echo esc_attr($video_ratio); ?>" data-width="<?php echo esc_attr($videodata['width']); ?>" data-height="<?php echo esc_attr($videodata['height']); ?>" preload="auto" loop autoplay>
			<source type="video/mp4" src="<?php echo esc_url( $video_upload ); ?>">
			</video>
		</div>

	<?php } elseif (get_post_meta($post->ID, 'coffeebean_video_link', true)) { ?>

		<div class="post_thumb hentry">
			<div class="embed video-cont"><?php echo coffeebean_get_video( get_post_meta( get_the_ID(), 'coffeebean_video_link', true ) ); ?></div>
		</div>

	<?php } else {

		if ( has_post_thumbnail()) {
      $portfolio_main = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'portfolio-masonry' );
      $ratio = ($portfolio_main[2]) ? $portfolio_main[1]/$portfolio_main[2] : '';
      $image_url = $portfolio_main[0];
		} ?>

		<div class="post_thumb">
	    <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>" rel="bookmark"></a>
	    <div class="thumb" data-ratio="<?php echo esc_attr($ratio) ?>" style="background-image:url('<?php echo esc_url($image_url); ?>');"></div>
		</div>

<?php }

} else {

	if (get_post_meta($post->ID, 'coffeebean_video_upload', true)) { ?>

		<div class="portfolio-header-image">

			<div class="self_container">
				<video class="selfhosted-video" data-video-ratio="<?php echo esc_attr($video_ratio); ?>" data-width="<?php echo esc_attr($videodata['width']); ?>" data-height="<?php echo esc_attr($videodata['height']); ?>" preload="auto" loop autoplay>
					<source type="video/mp4" src="<?php echo esc_url($video_upload); ?>">
				</video>
			</div>

		</div>

	<?php } elseif (get_post_meta($post->ID, 'coffeebean_video_link', true)) { ?>

		<div class="portfolio-header-image">
			<div class="post_thumb hentry">
				<div class="embed video-cont"><?php echo coffeebean_get_video( get_post_meta( $post->ID, 'coffeebean_video_link', true ) ); ?></div>
			</div>
		</div> <?php

	} else {

	  if (get_post_meta($post->ID, 'coffeebean_image_replace', true)) {
	  	$thumbnail_url = get_post_meta($post->ID, 'coffeebean_image_replace', true);
	  } else {
	  	if (has_post_thumbnail()) {
	   		$thumbnail_full = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'full' );
	   		$thumbnail_url = $thumbnail_full[0];
	    }
	  } ?>

	  <div class="portfolio-header-image" style="background-image:url('<?php echo esc_url($thumbnail_url) ?>')"></div>
	<?php	} ?>
<?php } ?>
