<?php
/**
 * Gallery template part
 */

$ratio = '';

$images_size = (get_post_meta($post->ID, 'coffeebean_gallery_images_size', TRUE)) ?: 'full';

$ids = get_post_meta($post->ID, 'coffeebean_gallery_slider', TRUE);
$args = array(
	'post_type' => 'attachment',
	'post_status' => 'inherit',
	'post_mime_type' => 'image',
	'post__in' => explode( ",", $ids),
	'posts_per_page' => '-1',
	'orderby' => 'post__in'
);

$images_array = get_posts( $args );

if (get_post_meta($post->ID, 'coffeebean_gallery_layout', TRUE) == "slider-gallery" ) {

	if ($images_array) { ?>

		<div class="portfolio-header-image owl-carousel owl-theme">

			<?php foreach($images_array as $image) {
				$attachment = wp_get_attachment_image_src($image->ID, 'full');
				$thumb = wp_get_attachment_image_src($image->ID, $images_size);
				$ratio = ($thumb[2]) ? $thumb[1]/$thumb[2] : ''; ?>

				<a class="slick-slide" href="<?php echo esc_url($attachment[0]); ?>" data-fancybox="group" title="<?php echo esc_html($image->post_title); ?>" data-caption="<?php echo esc_html($image->post_excerpt); ?>">
					<img src="<?php echo esc_url($thumb[0]); ?>" data-ratio="<?php echo esc_html($ratio) ?>" alt="<?php echo esc_html($image->post_title); ?>" />
				</a>
			<?php } ?>

		</div>

	<?php }
} elseif (get_post_meta($post->ID, 'coffeebean_gallery_layout', TRUE) == "tiled-gallery" ) {

	if ($images_array) { ?>

		<div class="images-container">
			<div class="justified-gallery-container">
				<div class="justified-gallery">

					<?php foreach($images_array as $image) {
						$attachment = wp_get_attachment_image_src($image->ID, 'full');
						$thumb = wp_get_attachment_image_src($image->ID, $images_size); ?>

						<a class="slick-slide" href="<?php echo esc_url($attachment[0]); ?>" data-fancybox="group" title="<?php echo esc_html($image->post_title); ?>" data-caption="<?php echo esc_html($image->post_excerpt); ?>">
							<img src="<?php echo esc_url($thumb[0]); ?>" alt="<?php echo esc_html($image->post_title); ?>" />
						</a>

					<?php } ?>

				</div>
			</div>
		</div>

	<?php	}
} else {

	if ($images_array) {

		$masonry_columns = (get_post_meta($post->ID, 'coffeebean_masonry_gallery_layout', TRUE) != "three-columns") ? 'full-width' : 'third-masonry';	?>

		<div id="portfolio-gallery-wrapper">
			<?php foreach($images_array as $image){
				$attachment = wp_get_attachment_image_src($image->ID, 'full');
				$ratio = ($attachment[2] > 0) ? $attachment[1]/$attachment[2] : '';
				$thumb = wp_get_attachment_image_src($image->ID, $images_size); ?>
				<div class="portfolio_sizer"></div>
				<div class="<?php echo esc_html($masonry_columns); ?> portfolio-gallery-item" data-ratio="<?php echo esc_html($ratio) ?>">
					<a href="<?php echo esc_url($attachment[0]); ?>" data-fancybox="group" title="<?php echo esc_html($image->post_title); ?>" data-caption="<?php echo esc_html($image->post_excerpt); ?>">

						<div class="picture">
							<div class="thumb" style="background-image:url('<?php echo esc_url($thumb[0]); ?>');" data-ratio="<?php echo esc_html($ratio) ?>" style="background-image:url('<?php echo esc_url($thumb[0]); ?>');"></div>
						</div>


					</a>
				</div>
			<?php } ?>
		</div>

	<?php } ?>
<?php } ?>
