<?php
/**
 * Masonry portfolio loop template part
 */

$image_url = $ratio = $portfolio_size = $video_data_caption = '';
//$image_size = "coffeebean_portfolio-main";
$columns = new coffeebean_GetGlobal();
$masonry = new coffeebean_GetGlobal();
$masonry_style = new coffeebean_GetGlobal();
$currentID = rand (1, 999);

$image_size = ( get_post_meta($post->ID, 'coffeebean_masonry_off', true) == "on" || $masonry->masonry || $masonry_style->masonry_style ) ? "coffeebean_portfolio-masonry" : "coffeebean_portfolio-main";

$image_size = ( get_post_meta($post->ID, 'coffeebean_show_original', true) == "on" ) ? "full" : $image_size;
$image_size = isset($args['fullwidth']) && !empty($args['fullwidth']) && $args['fullwidth'] === true ? 'full' : $image_size;

if (has_post_thumbnail()) {
	$portfolio_main = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), $image_size );
	$ratio = ($portfolio_main[2] > 0) ? $portfolio_main[1]/$portfolio_main[2] : '';
	$image_url = $portfolio_main[0];
} else {
	$image_url = get_parent_theme_file_uri( '/images/noimage.png' );
	$ratio = 1;
}

$portfolio_size = (strpos($columns->columns, 'masonry-portfolio') !== false) ? '' : 'size-'. get_post_meta($post->ID, 'coffeebean_portfolio_size', TRUE);

$thumbnail_url = get_the_permalink();

if ( get_post_meta($post->ID, 'coffeebean_show_aslightbox', true) == "on" ) {
	$thumbnail_data = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'full' );
	$thumbnail_url = esc_url($thumbnail_data[0]);
	if (get_post_meta($post->ID, 'coffeebean_video_link', TRUE)) {
		$thumbnail_url = esc_url(get_post_meta($post->ID, 'coffeebean_video_link', TRUE));
		$thumbnail_url = (get_post_meta($post->ID, 'coffeebean_vimeo_loop', TRUE)) ? $thumbnail_url . '?loop=1' : $thumbnail_url;
		$video_data_caption = 'data-caption="' . esc_attr(get_post_meta($post->ID, 'coffeebean_video_caption', TRUE)) . '"';
	}
	if (get_post_meta($post->ID, 'coffeebean_video_upload', TRUE)) {
		$thumbnail_url = esc_url(get_post_meta($post->ID, 'coffeebean_video_upload', TRUE));
		// $thumbnail_url = "#myVideo" . $currentID;
		$video_data_caption = 'data-caption="' . esc_attr(get_post_meta($post->ID, 'coffeebean_video_caption', TRUE)) . '"';
	}
}

$video_ratio = (function_exists('ot_get_option') && ot_get_option('video_ratio')) ? ot_get_option('video_ratio') : '';
$video_ratio = (get_post_meta($post->ID, 'coffeebean_current_video_ratio', true) && "none" != get_post_meta($post->ID, 'coffeebean_current_video_ratio', true)) ? get_post_meta($post->ID, 'coffeebean_current_video_ratio', true) : $video_ratio;

$coffeebean_customurl = get_post_meta($post->ID, 'coffeebean_customurl', TRUE); ?>

<div class="portfolio_sizer"></div>
<div <?php post_class( esc_attr( $columns->columns ) . ' portfolio-item ' . esc_attr($portfolio_size) ); ?> id="post-<?php the_ID(); ?>" data-page-url="<?php the_permalink(); ?>" data-id="<?php the_ID(); ?>">

	<a href="<?php echo esc_url( $portfolio_link = ($coffeebean_customurl && get_post_meta($post->ID, 'coffeebean_show_aslightbox', true) != 'on') ? $coffeebean_customurl : $thumbnail_url ); ?>" class="portfolio-link
		<?php if ( get_post_meta($post->ID, 'coffeebean_video_link', TRUE) && get_post_meta($post->ID, 'coffeebean_show_aslightbox', true) == 'on' || get_post_meta($post->ID, 'coffeebean_video_upload', TRUE) && get_post_meta($post->ID, 'coffeebean_show_aslightbox', true) == "on" ) {
			echo 'video-popup video-id' . esc_html($currentID);
		} ?>"
		<?php echo $video_data_caption; ?>
		<?php if ( get_post_meta($post->ID, 'coffeebean_show_aslightbox', true) == 'on' ) {
			echo 'data-fancybox data-ratio="' . esc_attr($video_ratio) . '"';
		} ?>

		alt="<?php the_title(); ?>">

		<?php if (get_post_meta($post->ID, 'coffeebean_video_upload', TRUE)) { ?>
			<video width="640" height="320" controls autoplay muted id="myVideo<?php echo $currentID; ?>" class="self-video" style="display:none;">
				<source src="<?php echo esc_url(get_post_meta($post->ID, 'coffeebean_video_upload', TRUE)); ?>" type="video/mp4">
			</video>
		<?php } ?>

	</a>

	<?php  if (get_post_meta($post->ID, 'coffeebean_video_link', TRUE) && get_post_meta($post->ID, 'coffeebean_video_info', true) == 'on') { ?>
		<a href="<?php echo esc_url( $portfolio_link = ($coffeebean_customurl) ?: get_the_permalink()); ?>" class="video-info"><i class="fa fa-info-circle" aria-hidden="true"></i></a>
	<?php } ?>

	<div class="picture">
		<div class="thumb" style="background-image:url('<?php echo esc_url($image_url); ?>');" data-ratio="<?php echo esc_html($ratio) ?>" style="background-image:url('<?php echo esc_url($image_url); ?>');"></div>
	</div>

	<div class="item-description alt">
		<h6><?php the_title();?></h6>
		<div class="loader"></div>
		<div class="filter-words">
			<?php	$terms = get_the_terms( $post->ID, 'filters');
			if ( $terms ) {
				foreach ( $terms as $term ) {
					echo '<span>' . esc_html( $term->name ) . '</span>';
				}
			}	?>
		</div>
	</div>

</div>

<?php if ( get_post_meta(get_the_ID(), 'coffeebean_video_link', TRUE) && get_post_meta($post->ID, 'coffeebean_show_aslightbox', true) == "on" || get_post_meta($post->ID, 'coffeebean_video_upload', TRUE) && get_post_meta($post->ID, 'coffeebean_show_aslightbox', true) == "on" ) { ?>
	<script type="text/javascript">
		// ( function( $ ) {
		// 	$(document).ready(function() {
		// 		coffeebeanVideoPopup<?php echo esc_html($currentID); ?>();
		// 	});
    //
		// 	function coffeebeanVideoPopup<?php echo esc_html($currentID); ?>() {
		// 		var videoCaption<?php echo esc_html($currentID); ?> = '';
		// 		$('.video-id<?php echo esc_html($currentID); ?>').magnificPopup({
		// 			callbacks: {
		// 		    elementParse: function(item) {
		// 					videoCaption<?php echo esc_html($currentID); ?> = (item.el.attr('data-caption')) ? item.el.attr('data-caption') : '';
  	// 				},
		// 				open: function() {
		// 					$(document).find('.mfp-container').append('<div class="mfp-caption"><p>' + videoCaption<?php echo esc_html($currentID); ?> + '</p></div>');
  	// 				}
		// 		  },
		// 			type:'iframe'
		// 		});
		// 	}
    //
		// } )( jQuery );
	</script>
<?php } ?>
