<?php
/**
 * Masonry portfolio template part
 */

$homepage = new coffeebean_GetGlobal();
$masonry = new coffeebean_GetGlobal();
$masonry_style = new coffeebean_GetGlobal();
$posts_per_page = (redux_opt('portfolio_showpost')) ? redux_opt('portfolio_showpost') : 12;

$image_size = (get_post_meta($post->ID, 'coffeebean_masonry_off', true) == "on" || $masonry->masonry ) ? "full" : "coffeebean_portfolio-main";

$paged = 1;
$exclude = $image_url = '';

if ( get_query_var( 'paged' ) ) $paged = get_query_var( 'paged' );
if ( get_query_var( 'page' ) ) $paged = get_query_var( 'page' );

$filters = (is_page()) ? get_post_meta($post->ID, 'coffeebean_portfolio_filters', true) : get_post_meta($post->ID, 'coffeebean_recent_portfolio_filters', true);

if (is_single()) {
	$image_size = ( true === $masonry_style->masonry_style ) ? 'full' : $image_size;
	$exclude = $post->ID;
	$posts_per_page = (redux_opt('portfolio_showpost')) ? redux_opt('portfolio_showpost') : 12;
}

$image_size = isset($args['fullwidth']) && !empty($args['fullwidth']) && $args['fullwidth'] === true ? 'full' : $image_size;
$full_width = isset($args['fullwidth']) && !empty($args['fullwidth']) && $args['fullwidth'] === true ? true : false;

if (empty($filters)) {

	query_posts(array (
		'post_type' => 'portfolio',
		//'post__not_in' => array($exclude),
		'paged' => $paged,
		'page' => 1,
		'posts_per_page' => $posts_per_page,
		// 'meta_query' => array( array(
		// 	'key' => '_thumbnail_id',
		// 	'compare' => 'EXISTS'
		// ))
	));

} else {

	query_posts(array (
		'post_type' => 'portfolio',
		'paged' => $paged,
		'post__not_in' => array($exclude),
		'posts_per_page' => $posts_per_page,
		'tax_query' => array(
			array(
				'taxonomy' => 'filters',
				'field' => 'id',
				'terms' => $filters,
				'operator' => 'IN',
				'include_children' => false
		)),
		// 'meta_query' => array( array(
		// 	'key' => '_thumbnail_id',
		// 	'compare' => 'EXISTS'
		// ))
	));
} ?>

<div class="container portfolio_container">

<?php get_template_part('content-filter'); ?>
	<div id="ajax-loader"><div id="ajax-spinner"></div></div>
	<div id="portfolio-wrapper" class="portfolio-wrapper <?php echo esc_html($homepage->homepage); ?>">

		<?php if (have_posts()) { while (have_posts()) : the_post();

			if (has_post_thumbnail()) {
				$portfolio_main = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), $image_size );
				$image_url = $portfolio_main[0];
			}

			$thumbnail_url = get_the_permalink();

			if (!post_password_required()) {
				get_template_part( 'content-loop', null, [ 'fullwidth' => $full_width ] );
			}

		endwhile; } ?>
	</div>

</div>
