<?php
/**
 * The template part for displaying an image
 */

$video_ratio = $video_upload = '';
$videodata = array();

if (get_post_meta($post->ID, 'coffeebean_video_upload', true)) {
  $uploads = wp_upload_dir();
  $uploads_dir =  $uploads['basedir'];
  $video_upload = esc_url(get_post_meta($post->ID, 'coffeebean_video_upload', true));
  $uploads_dir = $uploads_dir . str_replace("uploads", "", strstr($video_upload,"uploads"));
  $videodata = wp_read_video_metadata($uploads_dir);
  $video_ratio = (isset($videodata['height'])) ? $videodata['width']/$videodata['height'] : '';
} ?>

<div class="portfolio-header-image">

  <?php if (get_post_meta($post->ID, 'coffeebean_video_upload', true)) { ?>

    <div class="self_container">
      <video playsinline class="selfhosted-video" data-video-ratio="<?php echo esc_attr($video_ratio); ?>" data-width="<?php echo esc_attr($videodata['width']); ?>" data-height="<?php echo esc_attr($videodata['height']); ?>" preload="auto" loop autoplay muted>
        <source type="video/mp4" src="<?php echo esc_url($video_upload); ?>">
      </video>
    </div>

  <?php } elseif (get_post_meta($post->ID, 'coffeebean_video_link', true)) { ?>

    <div class="post_thumb hentry">
      <div class="embed video-cont"><?php echo coffeebean_get_video( get_post_meta( $post->ID, 'coffeebean_video_link', true ) ); ?></div>
    </div>

  <?php } ?>

</div>
