<?php
/**
 * The template part for displaying an image
 */
$thumbnail_url = '';

if (!get_post_meta($post->ID, 'coffeebean_page_video_link', true) && !get_post_meta($post->ID, 'coffeebean_page_video_selfhosted', true) && get_post_meta($post->ID, 'coffeebean_portfolio_style', true) != 'no-effects height-optimal no-title') {

	if (get_post_meta($post->ID, 'coffeebean_image_replace', true)) {
		$thumbnail_url = get_post_meta($post->ID, 'coffeebean_image_replace', true);
	} else {
		if (has_post_thumbnail()) {
	 		$thumbnail_full = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'full' );
	 		$thumbnail_url = $thumbnail_full[0];
		}
	} ?>

	<div class="portfolio-header-image" data-background="<?php echo esc_url( $coffeebean_mobile_featured = (get_post_meta($post->ID, 'coffeebean_mobile_featured', true)) ?: ''  ); ?>" style="background-image:url('<?php echo esc_url( $thumbnail_url ) ?>')">
		<span class="show-down"></span>
	</div>

<?php } else {

	$video_ratio = $video_upload = '';
	$videodata = array();

	if (get_post_meta($post->ID, 'coffeebean_page_video_selfhosted', true)) {
	  $uploads = wp_upload_dir();
	  $uploads_dir =  $uploads['basedir'];
	  $video_upload = esc_url(get_post_meta($post->ID, 'coffeebean_page_video_selfhosted', true));
	  $uploads_dir = $uploads_dir . str_replace("uploads", "", strstr($video_upload,"uploads"));
	  $videodata = wp_read_video_metadata($uploads_dir);
	  $video_ratio = (isset($videodata['height'])) ? $videodata['width']/$videodata['height'] : ''; ?>

	<div class="portfolio-header-image">

	  <div class="self_container">
	    <video playsinline class="selfhosted-video" data-video-ratio="<?php echo esc_attr($video_ratio); ?>" data-width="<?php echo esc_attr($videodata['width']); ?>" data-height="<?php echo esc_attr($videodata['height']); ?>" preload="auto" muted type='video/mp4' loop autoplay>
	      <source type="video/mp4" src="<?php echo esc_url( $video_upload ); ?>">
	    </video>
	  </div>

	</div>

	<style>
		.portfolio-header,
		.height-half .portfolio-header {
			height: <?php echo get_post_meta($post->ID, 'coffeebean_header_video_size', true); ?>vh;
		}
	</style>

	<?php } elseif (get_post_meta($post->ID, 'coffeebean_page_video_link', true)) { ?>

		<div class="portfolio-header-image">
			<div class="post_thumb hentry">
				<div class="embed video-cont"><?php echo coffeebean_get_video( get_post_meta( $post->ID, 'coffeebean_page_video_link', true ) ); ?></div>
			</div>
		</div>

		<style>
			.portfolio-header,
			.height-half .portfolio-header {
				height: calc(<?php echo get_post_meta($post->ID, 'coffeebean_header_video_size', true); ?>vh + 20px);
			}
		</style>

	<?php }
} ?>
