<?php
/**
 * The template for displaying the header
 * @package WordPress
 */
?>

<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<?php if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) { ?>
		<link rel="shortcut icon" type="image/x-icon" href="<?php echo esc_url( $favicon = (redux_opt('favicon_upload','url')) ? redux_opt('favicon_upload','url') : get_template_directory_uri().'/images/favicon.png' ); ?>" />
	<?php }
	wp_head(); ?>
</head>

<?php $add_bodyclass = ( redux_opt('accordeon_dropdown') && redux_opt('accordeon_dropdown') == '1') ? "accordeon_dropdown" : ""; ?>

<body <?php body_class($add_bodyclass); ?> >

	<?php if ( function_exists('wp_body_open')) { wp_body_open(); } ?>

<?php if ( '0' != redux_opt('preloader_on') ) { ?>
	<div id="loader">
		<?php if (has_post_thumbnail()) { $loader_img = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'coffeebean_portfolio-footer' );
			$coffeebean_preloader_image = get_post_meta(get_the_ID(), 'coffeebean_preloader_image', TRUE);
			$loader_image_url = ($coffeebean_preloader_image) ? wp_get_attachment_image_src( attachment_url_to_postid($coffeebean_preloader_image), 'coffeebean_portfolio-footer' )[0] : $loader_img[0]; ?>
			<img class="loader-img" src="<?php echo esc_url( $loader_image_url ); ?>" alt="<?php esc_html_e('Loading', 'coffeebean') ?>" />
		<?php } ?>
		<div id="spinner"></div>
	</div>
<?php } ?>
<?php if ( '0' != redux_opt('super_header') ) { ?>
	<div id="social-trigger" class="toggled-up"></div>
	<div id="social-wrapper">
		<div class="social-height">
			<div class="container">

				<div class="four columns">
					<div class="header-contacts header-contacts-left">
					<?php if ( is_active_sidebar('coffeebean_header_sidebar1') ) : ?>
							<?php dynamic_sidebar('coffeebean_header_sidebar1'); ?>
					<?php endif; ?>
					</div>
				</div>

				<div class="four columns">
					<div class="header-contacts header-contacts-left">
					<?php if ( is_active_sidebar('coffeebean_header_sidebar2') ) : ?>
							<?php dynamic_sidebar('coffeebean_header_sidebar2'); ?>
					<?php endif; ?>
					</div>
				</div>

				<div class="four columns">
					<div class="header-contacts header-contacts-right">
						<?php if ( is_active_sidebar('coffeebean_header_sidebar3') ) : ?>
								<?php dynamic_sidebar('coffeebean_header_sidebar3'); ?>
						<?php endif; ?>
					</div>
				</div>

				<div class="four columns">
					<div class="header-contacts header-contacts-right">
						<?php if ( is_active_sidebar('coffeebean_header_sidebar4') ) : ?>
								<?php dynamic_sidebar('coffeebean_header_sidebar4'); ?>
						<?php endif; ?>
					</div>
				</div>

			</div>
		</div>
	</div>
<?php } ?>

<?php
if ( is_single() && '0' !== redux_opt('projectnav_on') ) {
	echo '<div class="project-navigation" role="navigation">';
	if ( get_adjacent_post( false, '', false ) ) { next_post_link( '%link', '<span>%title</span>' ); } ?>

	<a href="<?php

	$portfolio_main_page = (function_exists('redux_opt') && redux_opt('portfolio_main_page')) ? get_page_link(redux_opt('portfolio_main_page')) : home_url('/');

	if ( is_single() && 'post' == get_post_type() ) {
  	$portfolio_main_page = (function_exists('redux_opt') && redux_opt('blog_main_page')) ? get_page_link(redux_opt('blog_main_page')) : home_url('/');
	}

	echo esc_url( $portfolio_main_page );

	?>" class="back-to-blog"></a>

<?php
	if ( get_adjacent_post( false, '', true ) ) { previous_post_link( '%link', '<span>%title</span>' ); }
	echo '</div>';
} ?>

<div id="wrapper" class="wrapper <?php echo esc_attr( coffeebean_portfolio_style_output() ); ?>">

	<div id="site-navigation" <?php if (redux_opt('header_fullwidth') == '1') { echo 'class="full-navigation"'; } ?>>
		<div class="container">
			<div class="sixteen columns">
				<div class="logo-container">
					<div id="logo" <?php echo coffeebean_enable_alt_output(); ?> >

						<a href="<?php echo esc_url( home_url('/') ); ?>" title="<?php esc_attr(bloginfo('name')); ?>" rel="home">

						<?php	if ( redux_opt('logo_upload', 'url') ) { ?>

							<img src="<?php echo esc_url( $logo_upload = ( redux_opt('alt_logo_upload', 'url') && get_post_meta(get_the_ID(), 'coffeebean_enable_alt_page', true) == 'on' ) ? redux_opt('alt_logo_upload', 'url') : redux_opt('logo_upload', 'url') ); ?>" alt="<?php esc_attr(bloginfo('name')); ?>" class="has_replace" />

						<?php } else { ?>

							<?php if (redux_opt('logo_text')) { ?>
								<h1 class="logo">
									<?php echo esc_attr( redux_opt('logo_text') ); ?>
								</h1>
							<?php } ?>

							<?php if (!(redux_opt('logo_text')) && !(redux_opt('logo_upload', 'url'))) { ?>
								<h1 class="logo"><span><?php esc_html_e( 'Coffee', 'coffeebean' );?></span><?php esc_html_e( 'Bean', 'coffeebean' );?></h1>
							<?php } ?>

						<?php } ?>
						</a>
					</div>
				</div>

				<div id="navigation" class="top-navigation">

					<?php if ( has_nav_menu( 'menu-header' ) ) { ?>
						<?php wp_nav_menu( array( 'theme_location' => 'menu-header', 'menu_class' => 'nav-menu', 'walker' => new coffeebean_SplitMenuWalker( 7, '<a href="#" class="menu-overflowed"><i class="fa fa-ellipsis-h" aria-hidden="true"></i></a>' ), 'depth' => 3 ) ); ?>
					<?php } else { ?>
						<div class="nav-menu"><a href="<?php echo esc_url( admin_url( 'nav-menus.php' ) ); ?>"><?php esc_html_e( 'Setup a navigation menu in Admin panel', 'coffeebean' );?></a></div>
					<?php } ?>

					<div class="menu-dropdown"><span></span></div>

				</div>
			</div>

		</div>
	</div>
