<?php
/**
 * The main template file.
 * @package WordPress
 */

get_header();

$sidebar_offset = "offset-by-right";
$item_width = 'one-third column '; ?>

<div class="container container-content">
	<div id="page-title" class="title-left">
	  <h1 class="cd-headline">
			<?php if (is_search()) {
				echo esc_html__('Search for:', 'coffeebean') .' <span>'. get_search_query() .'</span>';
			} else {
				if ( '0' != redux_opt('blog_title_show') || !redux_opt('blog_title_show')) {
					echo esc_html($blog_title = (redux_opt('blog_title')) ?: esc_html__('Blog', 'coffeebean'));
				}
			} ?>
		</h1>
	</div>

	<?php if (!is_search()) { ?>
		<?php	$paged = 1;
		if ( get_query_var( 'paged' ) ) $paged = get_query_var( 'paged' );
		if ( get_query_var( 'page' ) ) $paged = get_query_var( 'page' );

		$blog_query_args = array(
			'post_type' => 'post',
			'paged' => $paged,
			'posts_per_page' => $posts_per_page
		);

		$blog_query = new WP_Query( $blog_query_args );

		if ( $blog_query->have_posts() ) { ?>

			<div id="portfolio-wrapper" class="blog-grid blog-nosidebar">

				<?php while ( $blog_query->have_posts() ) : $blog_query->the_post();
					get_template_part('blog-loop');
				endwhile;

				wp_reset_postdata(); ?>

			</div>

			<div id="next-posts" class="pagination">
				<div class="nav-previous">
					<?php next_posts_link(esc_html__('Older posts', 'coffeebean'), $blog_query->max_num_pages); ?>
					<?php previous_posts_link(esc_html__('Newer posts', 'coffeebean')); ?>
				</div>
			</div>

		<?php } else { ?>

			<div class="sixteen columns blog-nosidebar">
		    <?php get_template_part( 'content', 'none' ); ?>
			</div>

		<?php } ?>
	<?php } else { ?>
		<?php if ( have_posts() ) { ?>
			<div id="portfolio-wrapper" class="blog-grid blog-nosidebar">
				<?php while ( have_posts() ) : the_post();
					get_template_part('blog-loop');
				endwhile; ?>
			</div>
			<div id="next-posts" class="pagination">
				<div class="nav-previous">
					<?php next_posts_link(esc_html__('Older posts', 'coffeebean')); ?>
					<?php previous_posts_link(esc_html__('Newer posts', 'coffeebean')); ?>
				</div>
			</div>
		<?php } else { ?>
			<div class="sixteen columns blog-nosidebar">
		    <?php get_template_part( 'content', 'none' ); ?>
			</div>
		<?php } ?>
	<?php } ?>
</div>

<?php get_footer(); ?>
