<?php
/**
* Page Title template part
*/

$animation = (get_post_meta(get_the_ID(), 'coffeebean_title_words_type', true)) ?: 'rotate-1'; ?>

<div id="page-title" <?php if (get_post_meta(get_the_ID(), 'coffeebean_title_position', true)) { echo 'class=' . esc_html(get_post_meta(get_the_ID(), 'coffeebean_title_position', true)); } ?>>
  <h1 class="cd-headline <?php echo esc_html($animation); ?>">
    <?php if (is_404()) {
      printf(esc_html__('404 Page Not Found','coffeebean'), get_the_date('F Y')); }

    if (is_category()) {
      printf(esc_html__('Category', 'coffeebean').':<span> %s</span>', '' . single_cat_title('', false) . ''); }

    if (is_tag()) {
      printf(esc_html__('Tag', 'coffeebean').':<span> %s</span>', '' . single_cat_title('', false) . ''); }

    if (is_author()) {
      printf(esc_html__('By', 'coffeebean').':<span> '. get_the_author().'</span>', '' . single_cat_title('', false) . ''); }

    if (is_day()) {
      printf(esc_html__('Daily Archives', 'coffeebean').':<span> %s </span>', get_the_date()); }

    if (is_month()) {
      printf(esc_html__('Monthly Archives','coffeebean').':<span> %s</span>', get_the_date('F Y')); }

    if (is_year()) {
      printf(esc_html__('Yearly Archives', 'coffeebean').':<span> %s</span>', get_the_date('Y')); } ?>

    <span><?php if (!is_archive()) { single_post_title(); } ?></span>
    <?php	if (!is_404() && get_post_meta($post->ID, 'coffeebean_title_words', true)) { coffeebean_get_words(); } ?>
  </h1>

  <?php if (get_post_meta(get_the_ID(), 'coffeebean_page_subtitle', true)) { ?>
    <div class="subline">
      <?php echo esc_html(get_post_meta(get_the_ID(), 'coffeebean_page_subtitle', true)) ?>
    </div>
  <?php } ?>

  <?php if (is_404()) { ?>
    <div class="subline">
      <?php esc_html_e( 'Oops! No results for you...', 'coffeebean' ); ?>
    </div>
  <?php } ?>
</div>
