<?php

/**
 * The sinple page portfolio template file.
 * @package WordPress
 */

get_header();

$h1_position = (get_post_meta($post->ID, 'coffeebean_h1_position', true)) ?: "over";
$filters_array = (get_post_meta($post->ID, 'coffeebean_recent_portfolio_filters', true)) ?: '';
$all = (get_post_meta($post->ID, 'coffeebean_recent_portfolio_filters', true)) ? coffeebean_get_tax_filters($filters_array, 'count') : wp_count_posts( 'portfolio' )->publish; ?>

<header id="portfolio-header" class="portfolio-header">
	<?php $portfolio_type = get_post_meta($post->ID, 'coffeebean_portfolio_type', true);
	get_template_part('content', $portfolio_type); ?>

	<?php if ($h1_position == 'over') { ?>
		<div class="portfolio-title">
			<div class="page-title">
				<h1><span class="page-title-aligner"><?php the_title(); ?></span></h1>
				<div class="subline"><?php echo esc_html(get_post_meta($post->ID, 'coffeebean_subtitle', true)) ?></div>
			</div>
		</div>
	<?php } ?>
</header>

<article class="content <?php echo esc_html($h1_position); ?>">

	<?php if ($h1_position == 'under') { ?>
		<div class="portfolio-title">
			<div class="page-title">
				<h1><?php the_title(); ?></h1>
				<?php if (get_post_meta($post->ID, 'coffeebean_subtitle', true)) { ?>
					<div class="subline"><?php echo esc_html(get_post_meta($post->ID, 'coffeebean_subtitle', true)) ?></div>
				<?php } ?>
			</div>
		</div>
	<?php } ?>

	<?php	get_template_part('content-portfolio'); ?>

</article>

  <?php if (!function_exists('redux_opt') || redux_opt('recent_portfolio') != '0') { ?>

		<?php
		$columns = 'four columns';
		$full_width = (redux_opt('recent_fullwidth') == '0') ? '' : 'full-width-container';

		if (redux_opt('recent_columns') && redux_opt('recent_fullwidth') != '1') {
			switch (redux_opt('recent_columns')) {

				case 2: $columns = 'eight columns';
				echo '<style>.portfolio_sizer {width:50%;}</style>';
				break;

				case 3: $columns = 'one-third column';
				echo '<style>.portfolio_sizer {width:33.33%;}</style>';
				break;

				case 4: $columns = 'four columns';
				break;

			}
		}

		if (redux_opt('recent_fullwidth') == '1') {
			$columns = 'full-width';
		} ?>

		<div class="container recent-portfolio container-content <?php echo esc_html($full_width); ?>"> <?php
			$masonry_style = ( redux_opt('portfolio_default_style') == 'masonry-style' ) ? true : false;
			$columns = ( redux_opt('portfolio_default_style') == 'masonry-style' ) ? 'four-masonry masonry-portfolio' : $columns;
			get_template_part('content-filter');
			get_template_part('content-masonry');

			$recent_showpost = (redux_opt('recent_showpost') <= $all) ? redux_opt('recent_showpost') : $all;
			$portfolio_showpost = (redux_opt('portfolio_showpost')) ?: 16;

			coffeebean_load_more($filters_array, $columns, $recent_showpost, $portfolio_showpost);

			if (redux_opt('infinite_off') != '0') { coffeebean_get_appear(); } ?>
		</div>

<?php } ?>
<?php get_footer(); ?>
