<?php
/**
 * The single page template file.
 * @package WordPress
 */
get_header();

$author_id = $post->post_author;
$h1_position = (get_post_meta($post->ID, 'coffeebean_blog_h1_position', true)) ?: "over";
//if ( has_post_thumbnail()) { $h1_position = 'under'; }
$blog_subtitle = get_post_meta($post->ID, 'coffeebean_blog_subtitle', true); ?>

<header id="portfolio-header" class="portfolio-header">
	<?php $blog_type = get_post_format(); get_template_part('blog', $blog_type); ?>
	<?php if ($h1_position == 'over') { ?>
		<div class="portfolio-title">
			<div class="page-title">
				<h1><?php the_title(); ?></h1>
				<?php if ( $blog_subtitle ) { ?><div class="subline"><?php echo esc_html( $blog_subtitle ); ?></div><?php } ?>
				<div class="subline posted">Posted by <strong><a href="<?php echo get_author_posts_url($author_id); ?>"><?php the_author_meta('display_name', $author_id); ?></a></strong> in <strong><?php the_category( ', ' ); ?></strong> on <strong><?php echo get_the_date('F j, Y'); ?></strong></div>
			</div>
		</div>
	<?php } ?>
</header>

<article class="content <?php echo esc_attr($h1_position); ?>">
	<div class="container">
		<?php if ($h1_position == 'under') { ?>
			<div class="portfolio-title">
				<div class="page-title">
					<h1><?php the_title(); ?></h1>
					<?php if ( $blog_subtitle ) { ?><div class="subline"><?php echo esc_html( $blog_subtitle ); ?></div><?php } ?>
					<div class="subline posted">Posted by <strong><a href="<?php echo get_author_posts_url($author_id); ?>"><?php the_author_meta('display_name', $author_id); ?></a></strong> in <strong><?php the_category( ', ' ); ?></strong> on <strong><?php echo get_the_date('F j, Y'); ?></strong></div>
				</div>
			</div>
		<?php } ?>

		<?php

		$sidebar_offset = "offset-by-right";
		$post_class = '';

		if (redux_opt('blog_layout') == '1') {
			$sidebar_offset = "offset-by-one";
			get_sidebar();
		}

		if (redux_opt('blog_layout') != '1' && redux_opt('blog_layout') != '3') {
			$post_class = 'fourteen columns portfolio-text blog-nosidebar';
		} else {
			$post_class = 'twelve columns '. $sidebar_offset;
		}

		?>

		<div id="post-<?php the_ID(); ?>" <?php post_class('post-page ' . $post_class); ?>>

			<?php while (have_posts()) : the_post(); ?>


				<?php	if (get_post_meta($post->ID, 'coffeebean_blog_excerpt', true)) {
					if (get_post_meta($post->ID, 'coffeebean_blog_excerpt_position', true)) {
						$excerpt_position = get_post_meta($post->ID, 'coffeebean_blog_excerpt_position', true);
					} else {
						$excerpt_position = 'right-side';
					}	?>
					<div class="portfolio-excerpt <?php echo esc_html($excerpt_position); ?>">
						<p><?php echo get_post_meta($post->ID, 'coffeebean_blog_excerpt', true); ?></p>
					</div>
				<?php } ?>
				<?php	if (function_exists('get_post_format') && get_post_format($post->ID) == 'quote') {
					echo '<blockquote>', $quote_content = (get_the_content()) ? str_replace(array("<blockquote>", "</blockquote>"), "", get_the_content()) : "", '</blockquote>';
				} else if (function_exists('get_post_format') && get_post_format($post->ID) == 'link') { ?>
					<p><i class="fa fa-link"></i> <a href='<?php echo esc_url(get_post_meta($post->ID, 'coffeebean_link_url', true)); ?>'><strong><?php echo esc_html(get_post_meta($post->ID, 'coffeebean_link_text', true)); ?></strong></a></p>
					<?php
					the_content();
				} else {
					the_content();
				}
				if (function_exists('pb_page_builder')) { pb_page_builder(); } ?>

				<?php wp_link_pages(array( 'before' => '<div class="single-pagination"><span class="page-links-title">' . esc_html__( 'Pages:', 'coffeebean' ) . '</span>', 'after' => '</div>', 'link_before' => '<span>', 'link_after' => '</span>'	)); ?>

				<div class="post-footer">
					<span class="cats"><?php esc_html_e('Category: ', 'coffeebean'); the_category( ', ' ); ?></span>
					<?php if (has_tag()) { ?><span class="single-tags"> <?php the_tags(esc_html__( 'Tags: ', 'coffeebean' ),', '); ?></span> <?php } ?>

					<?php coffeebean_share_me(); ?>

				</div>

			<?php endwhile; ?>

			<?php if (get_the_author_meta( 'description' )) { get_template_part('author-bio'); } ?>
		</div>
	</div>
</article>

<?php if ( false === redux_opt('hide_related') || redux_opt('hide_related') != '0' ) { ?>
	<div class="container container-content">
		<?php
		$item_width = 'one-third column ';
		$related = true;
		coffeebean_related_posts(); ?>
	</div>
<?php } ?>

<div class="container">
	<?php if ( comments_open() && redux_opt('hide_comments') != '1' ) { comments_template('', true); } ?>
</div>

<?php if (redux_opt('blog_layout') == '3') { get_sidebar(); } ?>

<?php get_footer(); ?>
