<?php
/**
 * Template Name: Blog Full width
 *
 * Iya:) Custom blog template.
 *
 */

get_header();
$sidebar_offset = "offset-by-right";
$item_width = 'full-width ';
$display_title = get_post_meta($post->ID, 'coffeebean_display_title', true); ?>

<div class="container container-content full-width-container">
	<?php if ($display_title != "off") {
		get_template_part('page-title');
	} ?>

	<div id="portfolio-wrapper" class="blog-grid blog-nosidebar">
<?php
	$paged = 1;
	if ( get_query_var( 'paged' ) ) $paged = get_query_var( 'paged' );
	if ( get_query_var( 'page' ) ) $paged = get_query_var( 'page' );

	$blog_query_args = array(
		'post_type' => 'post',
		'paged' => $paged,
		'posts_per_page' => $posts_per_page
	);

	$blog_query = new WP_Query( $blog_query_args );

	if ($blog_query->have_posts()) {
		while ( $blog_query->have_posts() ) : $blog_query->the_post();
			get_template_part('blog-loop');
		endwhile;
		wp_reset_postdata(); ?>

	</div>

	<div id="next-posts" class="pagination">
		<div class="nav-previous">
			<?php next_posts_link(esc_html__('Older posts', 'coffeebean'), $blog_query->max_num_pages); ?>
			<?php previous_posts_link(esc_html__('Newer posts', 'coffeebean')); ?>
		</div>
	</div>

<?php } else { ?>

	<div class="sixteen columns blog-nosidebar">
    <?php get_template_part( 'content', 'none' ); ?>
	</div>

<?php } ?>
</div>

<?php get_footer(); ?>
