<?php
/**
 * Template Name: Contacts
 * The page template file.
 * @package WordPress
*/
get_header();

$nopadding = new coffeebean_GetGlobal();
$display_title = get_post_meta($post->ID, 'coffeebean_display_title', true); ?>

<?php if ( redux_opt('map_off') != '0' ) { ?>
	<div class="map-sidebar">
		<?php echo coffeebean_contact_map(); ?>
	</div>
<?php } ?>

<div class="container container-content <?php echo esc_html($no_padding = (isset($nopadding->nopadding)) ? 'nopadding' : ''); ?>">

	<?php if ($display_title != "off") {
    get_template_part('page-title');
  } ?>

	<?php $sidebar_side = get_post_meta($post->ID, 'coffeebean_sidebar_layout', true);
	$sidebar_offset = "offset-by-right";

	if (get_post_meta($post->ID, 'coffeebean_sidebar_on', true) != "off" && $sidebar_side == "left-sidebar") {
		$sidebar_offset = "offset-by-one";
		get_sidebar();
	} ?>

	<div class="<?php if(get_post_meta($post->ID, 'coffeebean_sidebar_on', true) != "off") { echo "twelve ". esc_attr($sidebar_offset);} else { echo "fourteen blog-nosidebar ";} ?> columns">

		<?php while (have_posts()) : the_post(); ?>
			<div <?php post_class('post'); ?> id="post-<?php the_ID(); ?>" >
				<?php the_content() ?>
				<?php if (function_exists('pb_page_builder')) {
					pb_page_builder();
				} ?>
			</div>
		<?php endwhile; ?>

		<?php if ( comments_open() && redux_opt('hide_comments') !== 1 ) {
			comments_template('', true);
		} ?>

	</div>

	<?php if ( get_post_meta($post->ID, 'coffeebean_sidebar_on', true) != "off" && $sidebar_side == "right-sidebar" || $sidebar_side == "" ) {
		get_sidebar();
	} ?>

</div>

<?php get_footer(); ?>
