<?php
/**
 * Template Name: Page + Image
 * The page template file.
 * @package WordPress
*/

get_header();
$thumbnail_url = '';
$display_title = get_post_meta($post->ID, 'coffeebean_display_title', true);

if (has_post_thumbnail()) {
	$thumbnail_full = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'full' );
	$thumbnail_url = $thumbnail_full[0]; ?>

	<header id="portfolio-header" class="portfolio-header">
		<div class="portfolio-header-image" style="background-image:url('<?php echo esc_url( $thumbnail_url ) ?>')"></div>
	</header>
	
<?php } ?>

<div class="container container-content">

	<?php if ($display_title != "off") {
		get_template_part('page-title');
	}

	$sidebar_side = get_post_meta($post->ID, 'coffeebean_sidebar_layout', true);
	$sidebar_offset = "offset-by-right";

	if (get_post_meta($post->ID, 'coffeebean_sidebar_on', true) != "off" && $sidebar_side == "left-sidebar") {
		$sidebar_offset = "offset-by-one";
		get_sidebar();
	} ?>

	<div class="<?php if(get_post_meta($post->ID, 'coffeebean_sidebar_on', true) != "off") { echo "twelve ". esc_attr($sidebar_offset);} else { echo "fourteen blog-nosidebar ";} ?> columns images-fullwidth">

		<?php while (have_posts()) : the_post(); ?>
			<div <?php post_class('post'); ?> id="post-<?php the_ID(); ?>" >
				<?php the_content(); ?>
				<?php if (function_exists('pb_page_builder')) {
					pb_page_builder();
				} ?>
			</div>
		<?php endwhile; ?>

		<?php if ( comments_open() && redux_opt('hide_comments') != '1' ) {
			comments_template('', true);
		} ?>

	</div>

	<?php if (get_post_meta($post->ID, 'coffeebean_sidebar_on', true) != "off" && $sidebar_side == "right-sidebar" || $sidebar_side == "" ) {
		get_sidebar();
	} ?>

</div>

<?php get_footer(); ?>
