<?php
/**
* Template Name: Portfolio 4 - Masonry
*
* Iya:) Custom portfolio template.
*
*/

get_header();
$display_title = get_post_meta($post->ID, 'coffeebean_display_title', true);
$posts_per_page = (redux_opt('portfolio_showpost')) ? redux_opt('portfolio_showpost') : 12;
$filters_array = (get_post_meta($post->ID, 'coffeebean_portfolio_filters', true)) ? get_post_meta($post->ID, 'coffeebean_portfolio_filters', true) : '';
$all = (get_post_meta($post->ID, 'coffeebean_portfolio_filters', true)) ? coffeebean_get_tax_filters($filters_array, 'count') : wp_count_posts( 'portfolio' )->publish; ?>

<div class="container container-content <?php echo esc_attr($display_title); ?>">
	<?php if ($display_title != "off") {
		get_template_part('page-title');
	}

	if ( function_exists('pb_page_builder') && get_post_meta($post->ID, 'coffeebean_builder_on', true) == "on" ) { ?>
		<div class="container container-content portfolio-text">
			<div class="builder-inside builder-noheader">
				<?php while (have_posts()) : the_post(); ?>
					<?php the_content(); ?>
					<?php if ( function_exists('pb_page_builder') ) {
						pb_page_builder();
					} ?>
				<?php endwhile; ?>
			</div>
		</div>
	<?php }

	$columns = 'four columns masonry-portfolio';
	$masonry = true;

	get_template_part('content-masonry');

	coffeebean_load_more($filters_array, $columns, $all, $posts_per_page);

	if ( redux_opt('infinite_off') != '0' ) { coffeebean_get_appear(); } ?>

</div>
<?php get_footer(); ?>
