<?php
/**
* Template Name: Portfolio FullWidth Video
*
* Iya:) Custom portfolio template.
*
*/

get_header();
$display_title = get_post_meta($post->ID, 'coffeebean_display_title', true);
$posts_per_page = (redux_opt('portfolio_showpost')) ? redux_opt('portfolio_showpost') : 12;
$filters_array = (get_post_meta($post->ID, 'coffeebean_portfolio_filters', true)) ? get_post_meta($post->ID, 'coffeebean_portfolio_filters', true) : '';
$animation = (get_post_meta($post->ID, 'coffeebean_title_words_type', true)) ? get_post_meta($post->ID, 'coffeebean_title_words_type', true) : 'rotate-1';
$text_align = (get_post_meta($post->ID, 'coffeebean_title_position', true)) ? get_post_meta($post->ID, 'coffeebean_title_position', true) : 'title-left';
$page_subtitle = get_post_meta($post->ID, 'coffeebean_page_subtitle', true);
$all = (get_post_meta($post->ID, 'coffeebean_portfolio_filters', true)) ? coffeebean_get_tax_filters($filters_array, 'count') : wp_count_posts( 'portfolio' )->publish; ?>

<header id="portfolio-header" class="portfolio-header">
	<div class="scroll-down"><i class="fa fa-angle-double-down" aria-hidden="true"></i><?php esc_html_e('Scroll Down', 'coffeebean');?></div>
	<?php while (have_posts()) : the_post(); ?>

		<?php get_template_part('content'); ?>
		<?php if ($display_title != "off") { ?>
			<div class="portfolio-title">
				<div class="page-title <?php echo esc_html($text_align); ?>">
					<h1 class="cd-headline <?php echo esc_html($animation); ?>">
						<span><?php the_title(); ?></span>
						<?php	if (get_post_meta($post->ID, 'coffeebean_title_words', true)) { coffeebean_get_words(); } ?>
					</h1>
					<?php if ( $page_subtitle ) { ?><div class="subline"><?php echo esc_html( $page_subtitle ) ?></div><?php } ?>
				</div>
			</div>
		<?php } ?>

	<?php endwhile; ?>
</header>

<?php if ( function_exists('pb_page_builder') && get_post_meta($post->ID, 'coffeebean_builder_on', true) == "on" ) { ?>
	<div class="container container-content portfolio-text">
		<div class="builder-inside builder-withheader">
			<?php while (have_posts()) : the_post(); ?>
				<?php the_content(); ?>
				<?php if ( function_exists('pb_page_builder') ) {
					pb_page_builder();
				} ?>
			<?php endwhile; ?>
		</div>
	</div>
<?php } ?>

<div class="container container-content full-width-container <?php echo esc_html($display_title); ?>">

	<?php if (get_post_meta($post->ID, 'coffeebean_display_title', true) != "off") {
		get_template_part('page-title');
	}

	$columns = 'full-width-video masonry-portfolio';

	get_template_part('content-masonry');

	coffeebean_load_more($filters_array, $columns, $all, $posts_per_page);

	if ( redux_opt('infinite_off') != '0' ) { coffeebean_get_appear(); } ?>

</div>

<?php get_footer(); ?>
